Index: /trunk/admin.php
===================================================================
--- /trunk/admin.php	(revision 6364)
+++ /trunk/admin.php	(revision 6365)
@@ -103,4 +103,5 @@
   array(
     'USERNAME' => $user['username'],
+    'ENABLE_SYNCHRONIZATION' => $conf['enable_synchronization'],
     'U_SITE_MANAGER'=> $link_start.'site_manager',
     'U_HISTORY_STAT'=> $link_start.'stats',
Index: /trunk/admin/cat_options.php
===================================================================
--- /trunk/admin/cat_options.php	(revision 6364)
+++ /trunk/admin/cat_options.php	(revision 6365)
@@ -163,5 +163,8 @@
 $tabsheet->add('status', l10n('Public / Private'), $opt_link.'status');
 $tabsheet->add('visible', l10n('Lock'), $opt_link.'visible');
-$tabsheet->add('upload', l10n('Upload'), $opt_link.'upload');
+if ($conf['enable_synchronization'])
+{
+  $tabsheet->add('upload', l10n('Upload'), $opt_link.'upload');
+}
 $tabsheet->add('comments', l10n('Comments'), $opt_link.'comments');
 if ($conf['allow_random_representative'])
Index: /trunk/admin/configuration.php
===================================================================
--- /trunk/admin/configuration.php	(revision 6364)
+++ /trunk/admin/configuration.php	(revision 6365)
@@ -222,5 +222,8 @@
 $tabsheet->add('history', l10n('History'), $conf_link.'history');
 $tabsheet->add('comments', l10n('Comments'), $conf_link.'comments');
-$tabsheet->add('upload', l10n('Upload'), $conf_link.'upload');
+if ($conf['enable_synchronization'])
+{
+  $tabsheet->add('upload', l10n('Upload'), $conf_link.'upload');
+}
 $tabsheet->add('default', l10n('Guest Settings'), $conf_link.'default');
 // TabSheet selection
Index: /trunk/admin/help.php
===================================================================
--- /trunk/admin/help.php	(revision 6364)
+++ /trunk/admin/help.php	(revision 6365)
@@ -34,29 +34,31 @@
 $help_section_title = null;
 
-$tabs = array(
-  array(
-    'code' => 'add_photos',
-    'label' => l10n('Add Photos'),
-    ),
-  array(
-    'code' => 'permissions',
-    'label' => l10n('Permissions'),
-    ),
-  array(
-    'code' => 'groups',
-    'label' => l10n('Groups'),
-    ),
-  array(
+$tabs = array();
+$tabs[] = array(
+  'code' => 'add_photos',
+  'label' => l10n('Add Photos'),
+  );
+$tabs[] = array(
+  'code' => 'permissions',
+  'label' => l10n('Permissions'),
+  );
+$tabs[] = array(
+  'code' => 'groups',
+  'label' => l10n('Groups'),
+  );
+if ($conf['enable_synchronization'])
+{
+  $tabs[] = array(
     'code' => 'user_upload',
     'label' => l10n('User Upload'),
-    ),
-  array(
-    'code' => 'virtual_links',
-    'label' => l10n('Virtual Links'),
-    ),
-  array(
-    'code' => 'misc',
-    'label' => l10n('Miscellaneous'),
-    ),
+    );
+}
+$tabs[] = array(
+  'code' => 'virtual_links',
+  'label' => l10n('Virtual Links'),
+  );
+$tabs[] = array(
+  'code' => 'misc',
+  'label' => l10n('Miscellaneous'),
   );
 
Index: /trunk/admin/photos_add.php
===================================================================
--- /trunk/admin/photos_add.php	(revision 6364)
+++ /trunk/admin/photos_add.php	(revision 6365)
@@ -153,9 +153,16 @@
     'label' => l10n('Piwigo Uploader'),
     ),
-  array(
-    'code' => 'ftp',
-    'label' => l10n('FTP + Synchronization'),
-    ),
-  );
+  );
+
+if ($conf['enable_synchronization'])
+{
+  array_push(
+    $tabs,
+    array(
+      'code' => 'ftp',
+      'label' => l10n('FTP + Synchronization'),
+      )
+    );
+}
 
 $tab_codes = array_map(
Index: /trunk/admin/themes/default/template/admin.tpl
===================================================================
--- /trunk/admin/themes/default/template/admin.tpl	(revision 6364)
+++ /trunk/admin/themes/default/template/admin.tpl	(revision 6365)
@@ -20,5 +20,7 @@
       <ul>
         <li><a href="{$U_ADD_PHOTOS}">{'Add'|@translate}</a></li>
+{if $ENABLE_SYNCHRONIZATION}
         <li><a href="{$U_WAITING}">{'Waiting'|@translate}</a></li>
+{/if}
         <li><a href="{$U_RATING}">{'Rating'|@translate}</a></li>
         <li><a href="{$U_TAGS}">{'Tags'|@translate}</a></li>
@@ -69,8 +71,12 @@
     <dd>
       <ul>
+{if $ENABLE_SYNCHRONIZATION}
         <li><a href="{$U_CAT_UPDATE}">{'Synchronize'|@translate}</a></li>
         <li><a href="{$U_SITE_MANAGER}">{'Site manager'|@translate}</a></li>
+{/if}
         <li><a href="{$U_HISTORY_STAT}">{'History'|@translate}</a></li>
+{if $ENABLE_SYNCHRONIZATION}
         <li><a href="{$U_THUMBNAILS}">{'Thumbnails'|@translate}</a></li>
+{/if}
         <li><a href="{$U_MAINTENANCE}">{'Maintenance'|@translate}</a></li>
         <li><a href="{$U_PENDING_COMMENTS}">{'Pending Comments'|@translate}</a></li>
Index: /trunk/admin/themes/default/template/element_set_global.tpl
===================================================================
--- /trunk/admin/themes/default/template/element_set_global.tpl	(revision 6364)
+++ /trunk/admin/themes/default/template/element_set_global.tpl	(revision 6365)
@@ -86,5 +86,7 @@
   <fieldset>
     <legend>{'Deletions'|@translate}</legend>
+{if $ENABLE_SYNCHRONIZATION}
     <p style="font-style:italic">{'Note: photo deletion does not apply to photos added by synchronization. For photos added by synchronization, remove them from the filesystem and then perform another synchronization.'|@translate}</p>
+{/if}
     <p>
       {'target'|@translate}
Index: /trunk/admin/themes/default/template/footer.tpl
===================================================================
--- /trunk/admin/themes/default/template/footer.tpl	(revision 6364)
+++ /trunk/admin/themes/default/template/footer.tpl	(revision 6365)
@@ -62,4 +62,14 @@
 {/literal}
 
+{if not $ENABLE_SYNCHRONIZATION}
+{literal}
+<script type='text/javascript'>
+  $(document).ready(function() {
+    $("#helpSynchro").hide();
+  });
+</script>
+{/literal}
+{/if}
+
 </body>
 </html>
Index: /trunk/admin/themes/default/template/intro.tpl
===================================================================
--- /trunk/admin/themes/default/template/intro.tpl	(revision 6364)
+++ /trunk/admin/themes/default/template/intro.tpl	(revision 6365)
@@ -60,5 +60,5 @@
 </dl>
 
-
+{if $ENABLE_SYNCHRONIZATION}
 <form name="QuickSynchro" action="{$U_CAT_UPDATE}" method="post" id="QuickSynchro" style="display: block; text-align:right;">
 <div>
@@ -76,2 +76,3 @@
 </div>
 </form>
+{/if}
Index: /trunk/include/config_default.inc.php
===================================================================
--- /trunk/include/config_default.inc.php	(revision 6364)
+++ /trunk/include/config_default.inc.php	(revision 6365)
@@ -781,3 +781,6 @@
 // pLoader direct download url for linux
 $conf['ploader_download_linux'] = 'http://piwigo.org/ext/download.php?eid=269';
+
+// enable the synchronization method for adding photos
+$conf['enable_synchronization'] = true;
 ?>
Index: /trunk/language/cs_CZ/help/help_add_photos.html
===================================================================
--- /trunk/language/cs_CZ/help/help_add_photos.html	(revision 6364)
+++ /trunk/language/cs_CZ/help/help_add_photos.html	(revision 6365)
@@ -14,4 +14,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">Přejděte na pLoader</a></p>
 
+<div id="helpSynchro">
 <ul>
   <li><strong>FTP přenos</strong> je nejvíce doporučená cesta, jak nahrát velké množství fotografií s minimálním úsilím. Následujte návod, jak připravit Vaše fotografie. Tato metoda Vám dává možnost přesně řídit uspořádání Vašich fotografií na Vašem serveru.</li>
@@ -19,2 +20,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">Přejděte na FTP přenos</a></p>
+</div>
Index: /trunk/language/de_DE/help/help_add_photos.html
===================================================================
--- /trunk/language/de_DE/help/help_add_photos.html	(revision 6364)
+++ /trunk/language/de_DE/help/help_add_photos.html	(revision 6365)
@@ -16,4 +16,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">Zum Piwigo Uploader</a></p>
 
+<div id="helpSynchro">
 <ul>
   <li><strong>FTP Upload</strong> ist die empfohlene Methode, um große Mengen
@@ -25,2 +26,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">Zum FTP Upload</a></p>
+</div>
Index: /trunk/language/en_UK/help/help_add_photos.html
===================================================================
--- /trunk/language/en_UK/help/help_add_photos.html	(revision 6364)
+++ /trunk/language/en_UK/help/help_add_photos.html	(revision 6365)
@@ -16,4 +16,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">Go to pLoader</a></p>
 
+<div id="helpSynchro">
 <ul>
   <li><strong>FTP transfer</strong> is the most recommended way to add a
@@ -24,2 +25,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">Go to FTP</a></p>
+</div>
Index: /trunk/language/es_ES/help/help_add_photos.html
===================================================================
--- /trunk/language/es_ES/help/help_add_photos.html	(revision 6364)
+++ /trunk/language/es_ES/help/help_add_photos.html	(revision 6365)
@@ -18,4 +18,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">Utilizar pLoader</a></p>
 
+<div id="helpSynchro">
 <ul>
   <li><strong>El FTP</strong> es el método ideal para añadir una colección importante en un mínimo de operaciones.
@@ -24,2 +25,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">Utilizar FTP</a></p>
+</div>
Index: /trunk/language/fr_FR/help/help_add_photos.html
===================================================================
--- /trunk/language/fr_FR/help/help_add_photos.html	(revision 6364)
+++ /trunk/language/fr_FR/help/help_add_photos.html	(revision 6365)
@@ -21,4 +21,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">Utiliser pLoader</a></p>
 
+<div id="helpSynchro">
 <ul>
   <li><strong>Le transfert FTP</strong>
@@ -30,2 +31,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">Utiliser FTP</a></p>
+</div>
Index: /trunk/language/hr_HR/help/help_add_photos.html
===================================================================
--- /trunk/language/hr_HR/help/help_add_photos.html	(revision 6364)
+++ /trunk/language/hr_HR/help/help_add_photos.html	(revision 6365)
@@ -16,4 +16,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">Go to pLoader</a></p>
 
+<div id="helpSynchro">
 <ul>
 <li><strong>FTP transfer</strong> is the most recommended way to add a
@@ -24,2 +25,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">Go to FTP</a></p>
+</div>
Index: /trunk/language/hu_HU/help/help_add_photos.html
===================================================================
--- /trunk/language/hu_HU/help/help_add_photos.html	(revision 6364)
+++ /trunk/language/hu_HU/help/help_add_photos.html	(revision 6365)
@@ -13,4 +13,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">Tovább a pLoader beszerzéséhez</a></p>
 
+<div id="helpSynchro">
 <ul>
   <li>Nagy mennyiségű képek minimális munkával történő hozzáadásának legegyszerűbb módja a <strong>Feltöltés FTP-n keresztül</strong>. Feltöltés előtt el kell végezni a képek előkészítését. Az FTP módszer használata esetén a képek helyének előkészítését kézzel kell elvégezni a tárhelyen lévő könyvtárstruktúra kialakításával.</li>
@@ -18,2 +19,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">Tovább az FTP feltöltést bemutató oldalra</a></p>
+</div>
Index: /trunk/language/it_IT/help/help_add_photos.html
===================================================================
--- /trunk/language/it_IT/help/help_add_photos.html	(revision 6364)
+++ /trunk/language/it_IT/help/help_add_photos.html	(revision 6365)
@@ -21,4 +21,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">Utilizzare pLoader</a></p>
 
+<div id="helpSynchro">
 <ul>
   <li><strong>FTP</strong>
@@ -29,2 +30,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">Utilizzare FTP</a></p>
+</div>
Index: /trunk/language/ja_JP/help/help_add_photos.html
===================================================================
--- /trunk/language/ja_JP/help/help_add_photos.html	(revision 6364)
+++ /trunk/language/ja_JP/help/help_add_photos.html	(revision 6365)
@@ -13,4 +13,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">pLoaderへ</a></p>
 
+<div id="helpSynchro">
 <ul>
   <li>多数の写真をアップロードする場合、<strong>FTP</strong> は推薦しています。写真をアップロードするために、ガイドをお読みください。ＦＴＰの方法はサーバー上に写真の場所を正確に指定することができます。</li>
@@ -18,2 +19,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">ＦＴＰへ</a></p>
+</div>
Index: /trunk/language/nl_NL/help/help_add_photos.html
===================================================================
--- /trunk/language/nl_NL/help/help_add_photos.html	(revision 6364)
+++ /trunk/language/nl_NL/help/help_add_photos.html	(revision 6365)
@@ -15,4 +15,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">Ga naar pLoader</a></p>
 
+<div id="helpSynchro">
 <ul>
   <li><strong>FTP overdracht</strong> is de meest geschikte nainier om een grote hoeveelheid fotos toe te voegen met zo min mogelijk handelingen. Volg de aanwijzingen om je fotos voor te bereiden. De FTP manier is laat je precies de indeling van je fotos op de server bepalen.</li>
@@ -20,2 +21,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">Ga naar FTP</a></p>
+</div>
Index: /trunk/language/pl_PL/help/help_add_photos.html
===================================================================
--- /trunk/language/pl_PL/help/help_add_photos.html	(revision 6364)
+++ /trunk/language/pl_PL/help/help_add_photos.html	(revision 6365)
@@ -13,4 +13,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">PrzejdŸ do pLoader</a></p>
 
+<div id="helpSynchro">
 <ul>
   <li><strong>Transfer FTP</strong> jest najbardziej rekomendowanym sposobem dodawania bardzo du¿ej iloœci zdjêæ przy pomocy niewielu klikniêæ. Skorzystaj z przewodnika aby przygotowaæ swoje zdjêcia. Metoda FTP umo¿liwia Ci bardzo dok³adn¹ kontrolê nad umiejscowieniem plików zdjêæ na serwerze.</li>
@@ -18,2 +19,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">PrzejdŸ do FTP</a></p>
+</div>
Index: /trunk/language/ru_RU/help/help_add_photos.html
===================================================================
--- /trunk/language/ru_RU/help/help_add_photos.html	(revision 6364)
+++ /trunk/language/ru_RU/help/help_add_photos.html	(revision 6365)
@@ -14,4 +14,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">Перейти к pLoader</a></p>
 
+<div id="helpSynchro">
 <ul>
  <li><strong>Загрузка по FTP</strong> – наиболее рекомендуемый способ загрузки очень большой коллекции фотографии при минимальном количестве кликов. Подготовьте фотографии, воспользовавшись инструкцией. Загрузка по FTP позволит вам организовать фотографии на сервере именно так, как нужно.</li>
@@ -19,2 +20,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">Загрузка по FTP</a></p>
+</div>
Index: /trunk/language/sr_RS/help/help_add_photos.html
===================================================================
--- /trunk/language/sr_RS/help/help_add_photos.html	(revision 6364)
+++ /trunk/language/sr_RS/help/help_add_photos.html	(revision 6365)
@@ -15,4 +15,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">Idi na pLoader</a></p>
 
+<div id="helpSynchro">
 <ul>
   <li><strong>FTP prenos</strong>je najčešće preporučen način da dodate
@@ -22,2 +23,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">Idi na FTP</a></p>
+</div>
Index: /trunk/language/zh_CN/help/help_add_photos.html
===================================================================
--- /trunk/language/zh_CN/help/help_add_photos.html	(revision 6364)
+++ /trunk/language/zh_CN/help/help_add_photos.html	(revision 6365)
@@ -13,4 +13,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">使用 pLoader</a></p>
 
+<div id="helpSynchro">
 <ul>
   <li><strong>FTP 上传</strong> 是非常推荐的方法，其可以一次性上传大批量的相片。以下向导将教您如何准备您的相片。使用 FTP 方式，您可以很精确地控制您服务器上的相片目录的物理结构。</li>
@@ -18,2 +19,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">使用 FTP</a></p>
+</div>