Index: /extensions/blancmontxl/admin/admin.inc.php
===================================================================
--- /extensions/blancmontxl/admin/admin.inc.php	(revision 6365)
+++ /extensions/blancmontxl/admin/admin.inc.php	(revision 6366)
@@ -8,5 +8,5 @@
   'picture',
   'other',
-  'ico',
+  'icon_dir',
 );
 
@@ -17,6 +17,6 @@
     $_POST['bmxl'][$option] = empty($_POST['bmxl'][$option]) ? false : true;
   }
-  
-  $_POST['bmxl']['ico'] = file_exists('themes/montblancxl/icon/add_tag.png') ? $_POST['bmxl']['ico'] : false ;
+ 
+  $_POST['bmxl']['icon_dir'] = $_POST['bmxl']['icon_dir'] ? 'montblancxl' : 'blancmontxl' ;
 
   $query = '
Index: /extensions/blancmontxl/admin/admin.tpl
===================================================================
--- /extensions/blancmontxl/admin/admin.tpl	(revision 6365)
+++ /extensions/blancmontxl/admin/admin.tpl	(revision 6366)
@@ -26,5 +26,5 @@
 		 <li>
           <span class="property">{'Use MontBlancXL icon set'|@translate}</span>
-          <input type="checkbox" name="bmxl[ico]" value="true" {if $bmxl.ico}checked="checked"{/if}>
+          <input type="checkbox" name="bmxl[icon_dir]" value="true" {if $bmxl.icon_dir=='montblancxl'}checked="checked"{/if}>
         </li>
       </ul>
Index: /extensions/blancmontxl/admin/maintain.inc.php
===================================================================
--- /extensions/blancmontxl/admin/maintain.inc.php	(revision 6365)
+++ /extensions/blancmontxl/admin/maintain.inc.php	(revision 6366)
@@ -12,5 +12,5 @@
       'picture'    => false,
       'other'      => true,
-	  'ico'        => false,
+	  'icon_dir'   => 'blancmontxl',
       );
       
Index: /extensions/blancmontxl/icon/blancmontxl/index.php
===================================================================
--- /extensions/blancmontxl/icon/blancmontxl/index.php	(revision 6366)
+++ /extensions/blancmontxl/icon/blancmontxl/index.php	(revision 6366)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: tensions/blancmontxl/icon/index.php
===================================================================
--- /extensions/blancmontxl/icon/index.php	(revision 6365)
+++ 	(revision )
@@ -1,30 +1,0 @@
-<?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
-$url = '../';
-header( 'Request-URI: '.$url );
-header( 'Content-Location: '.$url );
-header( 'Location: '.$url );
-exit();
-?>
Index: /extensions/blancmontxl/icon/montblancxl/index.php
===================================================================
--- /extensions/blancmontxl/icon/montblancxl/index.php	(revision 6366)
+++ /extensions/blancmontxl/icon/montblancxl/index.php	(revision 6366)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/blancmontxl/language/en_UK/theme.lang.php
===================================================================
--- /extensions/blancmontxl/language/en_UK/theme.lang.php	(revision 6365)
+++ /extensions/blancmontxl/language/en_UK/theme.lang.php	(revision 6366)
@@ -5,5 +5,5 @@
 $lang['Display page banner on picture page'] = 'Display page banner on picture page';
 $lang['Display page banner on other pages'] = 'Display page banner on other pages';
-$lang['Use MontBlancXL icon set'] = 'Use <a href="http://piwigo.org/ext/extension_view.php?eid=133">MontBlancXL</a> icon set (theme needed)';
+$lang['Use MontBlancXL icon set'] = 'Use <a href="http://piwigo.org/ext/extension_view.php?eid=133">MontBlancXL</a> icon set (theme not necessary)';
 
 ?>
Index: /extensions/blancmontxl/language/es_ES/theme.lang.php
===================================================================
--- /extensions/blancmontxl/language/es_ES/theme.lang.php	(revision 6365)
+++ /extensions/blancmontxl/language/es_ES/theme.lang.php	(revision 6366)
@@ -5,5 +5,5 @@
 $lang['Display page banner on picture page'] = 'Fijar la bandera sobre la página de las fotos';
 $lang['Display page banner on other pages'] = 'Fijar la bandera sobre otras páginas';
-$lang['Use MontBlancXL icon set'] = 'Utilice <a href="http://piwigo.org/ext/extension_view.php?eid=133">MontBlancXL</a> iconos (tema es necesario)';
+$lang['Use MontBlancXL icon set'] = 'Utilice <a href="http://piwigo.org/ext/extension_view.php?eid=133">MontBlancXL</a> iconos (tema no necesario)';
 
 ?>
Index: /extensions/blancmontxl/language/fr_FR/theme.lang.php
===================================================================
--- /extensions/blancmontxl/language/fr_FR/theme.lang.php	(revision 6365)
+++ /extensions/blancmontxl/language/fr_FR/theme.lang.php	(revision 6366)
@@ -5,5 +5,5 @@
 $lang['Display page banner on picture page'] = 'Afficher la bannière sur la page des photos';
 $lang['Display page banner on other pages'] = 'Afficher la bannière sur les autres pages';
-$lang['Use MontBlancXL icon set'] = 'Utiliser le jeu d\'icones de <a href="http://piwigo.org/ext/extension_view.php?eid=133">MontBlancXL</a> (theme nécessaire)';
+$lang['Use MontBlancXL icon set'] = 'Utiliser le jeu d\'icones de <a href="http://piwigo.org/ext/extension_view.php?eid=133">MontBlancXL</a> (theme non nécessaire)';
 
 ?>
Index: /extensions/blancmontxl/themeconf.inc.php
===================================================================
--- /extensions/blancmontxl/themeconf.inc.php	(revision 6365)
+++ /extensions/blancmontxl/themeconf.inc.php	(revision 6366)
@@ -9,12 +9,12 @@
 */
 
+global $config;
+$config = unserialize($conf['BlancmontXL']);//echo '<pre>'; print_r($config); echo '</pre>';
+
 $themeconf = array(
   'parent'      => 'default',
   'local_head'  => 'local_head.tpl',
+  'icon_dir'    => 'themes/blancmontxl/icon/'. $config['icon_dir'] 
 );
-
-global $conf;
-$config = unserialize($conf['BlancmontXL']);
-$themeconf['icon_dir']=$config['ico'] ? 'themes/montblancxl/icon' : 'themes/blancmontxl/icon' ;
 
 add_event_handler('loc_begin_page_header', 'set_bmxl_header');
@@ -22,7 +22,5 @@
 function set_bmxl_header()
 {
-  global $page, $conf, $template;
-
-  $config = unserialize($conf['BlancmontXL']);
+  global $page, $config, $template;
 
   if (isset($page['body_id']) and $page['body_id'] == 'theCategoryPage')