Index: extensions/albums/language/hu_HU/plugin.lang.php
===================================================================
--- extensions/albums/language/hu_HU/plugin.lang.php	(revision 6382)
+++ extensions/albums/language/hu_HU/plugin.lang.php	(revision 6382)
@@ -0,0 +1,90 @@
+<?php
+$lang['%d category including'] = '%d album ';
+$lang['%d categories including'] = '%d album ';
+$lang['%d category moved'] = '%d Album áthelyezése';
+$lang['%d categories moved'] = '%d Album áthelyezése';
+$lang['Apply to subcategories'] = 'Belső albumokra is';
+$lang['Association to categories'] = 'Hozzárendelés albumokhoz';
+$lang['Categories authorized thanks to group associations'] = 'Az albumok csoport tagsága';
+$lang['Categories manual order was saved'] = 'Albumok sorrendjének mentése megtörtént';
+$lang['Category elements associated to the following categories: %s'] = 'Az album elemeinek a következő albumhoz rendelése: %s';
+$lang['Link all category elements to a new category'] = 'Az album összes elemének új albumhoz rendelése';
+$lang['Link all category elements to some existing categories'] = 'Az album összes elemének már meglévő albumhoz rendelése';
+$lang['Linked categories'] = 'Linkelt albumok';
+$lang['Manage permissions for a category'] = 'Album jogosultságainak kezelése';
+$lang['Move categories'] = 'Albumok áthelyezése';
+$lang['New parent category'] = 'Új szülő album';
+$lang['Only private categories are listed'] = 'Csak privát albumok megjelenítése';
+$lang['Other private categories'] = 'Más privát albumok';
+$lang['Parent category'] = 'Szülő album';
+$lang['Permalink %s has been previously used by category %s. Delete from the permalink history first'] = 'A(z) %s közvetlen link név korábban létrehozva a(z) %s album számára. Törölni kell a közvetlen link előzményekből.';
+$lang['Permalink %s is already used by category %s'] = 'A(z) %s közvetlen link név a(z) %s album számára lefoglalva. Válasszon másikat!';
+$lang['Representation of categories'] = 'Albumok reprezentálása';
+$lang['Select at least one category'] = 'Legalább egy albumot ki kell választani';
+$lang['Storage category'] = 'Tárolt album';
+$lang['Virtual categories movement'] = 'Virtuális albumok áthelyezése';
+$lang['Virtual categories to move'] = 'Virtuális albumok kijelölése áthelyezésre';
+$lang['Virtual category name'] = 'Virtuális album neve';
+$lang['You cannot move a category in its own sub category'] = 'Az albumot lehetetlen a belső albumjába helyezni';
+$lang['associate to category'] = 'Hozzárendelés albumhoz';
+$lang['Add a virtual category'] = 'Virtuális album hozzáadása';
+$lang['Authorize users to add comments on selected categories'] = 'Hozzászólás engedélyezése a kiválasztott albumokhoz';
+$lang['The name of a category should not be empty'] = 'Az album nevét meg kell adni';
+$lang['Lock categories'] = 'Album lezárása';
+$lang['Private category'] = 'Privát album';
+$lang['Public category'] = 'Nyilvános album';
+$lang['Manage authorizations for selected categories'] = 'A kiválasztott albumok engedélyeinek kezelése';
+$lang['Select uploadable categories'] = 'Feltöltés engedélyezése a kiválasztott albumokba';
+$lang['Virtual category added'] = 'Virtuális album hozzáadva';
+$lang['Virtual category deleted'] = 'Virtuális album törölve';
+$lang['Category'] = 'Album';
+$lang['delete category'] = 'Album törlése';
+$lang['dissociate from category'] = 'Eltávolítás az albumból';
+$lang['edit category permissions'] = 'Albumok hozzáféréseinek módosítása';
+$lang['Category informations updated successfully.'] = 'Az album információinak módosítása megtörtént.';
+$lang['jump to category'] = 'Albumhoz ugrás';
+$lang['manage category elements'] = 'Album elemeinek kezelése';
+$lang['manage sub-categories'] = 'Belső albumok kezelése';
+$lang['sub-categories'] = 'Belső albumok';
+$lang['Categories management'] = 'Albumok kezelése';
+$lang['Edit a category'] = 'Album javítása';
+$lang['Update categories informations'] = 'Albumok információinak frissítése';
+$lang['reduce to single existing categories'] = 'Szűkítés egy már meglévő albumra';
+$lang['display maximum informations (added categories and elements, deleted categories and elements)'] = 'Összes információ megjelenítése (hozzáadott albumok és elemek, törölt albumok és elemek)';
+$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory \'thumbnail\' of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'A képeknek rendelkezniük kell bélyegképpel. A bélyegképnek a kép mappájának \'thumbnail\' almappájában kell lennie. A bélyegkép nevének a meghatározott előtaggal kell kezdődnie, és a következő kiterjesztése lehet:';
+$lang['categories deleted in the database'] = 'album törölve az adatbázisból';
+$lang['categories added in the database'] = 'album hozzáadva az adatbázishoz';
+$lang['Virtual category'] = 'Virtuális album';
+$lang['Files with same name in more than one physical category'] = 'Keresse meg az azonos nevű fájlokat';
+$lang['[%s] Come to visit the category %s'] = '[%s] Új képek vannak az albumban %s';
+$lang['Come to discover the category:'] = 'Kövesse a linket és nézze meg a képeket az albumban:';
+$lang['edit category informations'] = 'Album információk szerkesztése';
+$lang['No element in this category'] = 'Nincs elem ebben az albumban';
+$lang['Drop into category'] = 'Album választás:';
+$lang['existing category'] = 'létező album';
+$lang['create a new category'] = 'új album létrehozása';
+$lang['Category name'] = 'Album neve';
+$lang['Category \'%s\' has been added'] = '\'%s\' album hozzáadva';
+$lang['Category \'%s\' now contains %d photos'] = '\'%s\' albumban már %d kép található';
+$lang['Categories ordered alphanumerically'] = 'Az albumok ABC sorrendbe rendezve';
+$lang['Categories ordered alphanumerically reverse'] = 'Az albumok fordított ABC sorrendbe rendezve';
+$lang['%d category updated'] = '%d album frissítés';
+$lang['%d categories updated'] = '%d album frissítve';
+$lang['Categories'] = 'Albumok';
+$lang['Category'] = 'Album';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'Az RSS értesítő a következő -az oldallal kapcsolatos- információkat tartalmazza: új fotók, új albumok, új kommentek.';
+$lang['Expand all categories'] = 'Összes album kibontása';
+$lang['shows images at the root of this category'] = 'képek mutatása az album gyökeréből';
+$lang['in this category'] = 'ebben az albumban';
+$lang['in %d sub-category'] = '%d belső albumban';
+$lang['in %d sub-categories'] = '%d belső albumban';
+$lang['display all elements in all sub-categories'] = 'Megjelenik az összes elem (belső albumok is)';
+$lang['Recent categories'] = 'Legfrissebb album';
+$lang['display recently updated categories'] = 'Utoljára feltöltött albumok megjelenítése';
+$lang['Search in Categories'] = 'Album keresése';
+$lang['Search in subcategories'] = 'Keresés a belső albumokban is';
+$lang['set as category representative'] = 'Beállítás album-képviselőként';
+$lang['Category: %s'] = 'Album: %s';
+$lang['Category results for'] = 'Album eredményei';
+$lang['All sub-categories of private categories become private'] = 'Az összes belső album privát albummá válik';
+?>