Index: extensions/whois_online/Changelog.txt.php
===================================================================
--- extensions/whois_online/Changelog.txt.php	(revision 6221)
+++ extensions/whois_online/Changelog.txt.php	(revision 6386)
@@ -3,4 +3,7 @@
 Plugin Name: Whois online
 ** History **
+  2010-05-27 2.1.c
+						 Cosmetic review for the clear admin theme and more
+
   2010-05-16 2.1.b
 						 Fix: Menu was forced to Tools or Plugins on other admin functions
Index: extensions/whois_online/config.tpl
===================================================================
--- extensions/whois_online/config.tpl	(revision 6221)
+++ extensions/whois_online/config.tpl	(revision 6386)
@@ -3,5 +3,5 @@
 </div>
 
-<form method="post" action="{$F_ACTION}" class="Whois_Online properties">
+<form method="post" action="{$F_ACTION}" class="Whois_Online properties {$themeconf.name}">
 
 {if $page == 'config'}
Index: extensions/whois_online/include/wo_functions.inc.php
===================================================================
--- extensions/whois_online/include/wo_functions.inc.php	(revision 6221)
+++ extensions/whois_online/include/wo_functions.inc.php	(revision 6386)
@@ -155,11 +155,26 @@
 // Add admin links
 function whois_add_icon($menu) {
-	global $conf_whois, $lang;
-	if ($conf_whois['Add icon to History'])
-		$lang['History'] .= '</a> <a class="external" href="' . get_admin_plugin_menu_link(WHOIS_ONLINE_PATH.'config.php') . '">
-			<img class="button" src="' . WHOIS_ONLINE_PATH . 'icons/Whois_tuner.gif" alt="Whois Online configuration" title="Whois Online configuration" /></a>';
+	global $conf_whois, $template;
+	$url = get_admin_plugin_menu_link(WHOIS_ONLINE_PATH.'config.php');
+	$lnk = ' <a class="external" style="display:inline;" href="' . $url . '">'
+		. '<img class="button" src="' . WHOIS_ONLINE_PATH . 'icons/Whois_tuner.png" '
+		. ' alt="Whois Online configuration" title="Whois Online configuration" /></a>';
+	if (isset($_GET['page']) and ($_GET['page'] == 'stats' or $_GET['page'] == 'history'))
+		$h2 = $lnk;
+	else $h2 = ''; 
+	if ($conf_whois['Add icon to History']) {
+		$template->append('footer_elements', '<!-- Whois Icon -->
+<script type="text/javascript">
+jQuery(document).ready(function() {
+	jQuery("#menubar li a[href*=\'admin.php?page=stats\']").after(\'' . $lnk . '\').css("display","inline");
+	jQuery(".tabsheet li a[href*=\'admin.php?page=configuration&section=history\']").next().remove();
+	jQuery("#content .titrePage h2").append(\'' . $h2 . '\');
+ 
+	});
+</script>' );
+	}
 	if ($conf_whois['Add to Plugins menu']) array_push($menu, array(
 				'NAME' => 'Whois Online',
-				'URL' => get_admin_plugin_menu_link(WHOIS_ONLINE_PATH.'config.php'),
+				'URL' => $url,
 			));
 	return $menu;
Index: extensions/whois_online/main.inc.php
===================================================================
--- extensions/whois_online/main.inc.php	(revision 6221)
+++ extensions/whois_online/main.inc.php	(revision 6386)
@@ -23,5 +23,5 @@
 /*
 Plugin Name: Whois online
-Version: 2.1.b
+Version: 2.1.c
 Description: Who is online?
 Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=279
@@ -29,5 +29,5 @@
 Author URI: http://www.vdigital.org
 */
-define('WHOIS_ONLINE_VER', '2.1.b'); 
+define('WHOIS_ONLINE_VER', '2.1.c'); 
 global $prefixeTable, $conf;
 // $conf['debug_l10n'] = true;
Index: extensions/whois_online/online.css
===================================================================
--- extensions/whois_online/online.css	(revision 6221)
+++ extensions/whois_online/online.css	(revision 6386)
@@ -15,6 +15,8 @@
 .table2 thead tr .ns { background-image: none !important; }
 a.ws2 { display: inline-block; text-align: center; padding: 0px 1px; min-width: 21px; overflow: hidden; margin-left: 0px; margin-right: 1px; color: #666; background-color: #111; }
+.clear a.ws2 { background-color: #ccc;} 
 a.ws2:hover { color: #f33; background-color: #f33; border-bottom: 1px solid #ff3363;}
 a.ws1 { display: inline-block; text-align: center; padding: 0px 1px; min-width: 21px; overflow: hidden; margin-left: 0px; margin-right: 1px; color: #666; background-color: #222; }
+.clear a.ws1 { background-color: #eee;} 
 a.ws1:hover { color: #f33; background-color: #f33; border-bottom: 1px solid #ff3363;}
 a.ws { color: #111; background-color: #f33 !important; }
@@ -22,2 +24,13 @@
 .cluetip-default #cluetip-outer { border-radius: 16px; -moz-border-radius: 16px; -khtml-border-radius: 16px; -webkit-border-radius: 16px; }
 .cluetip-default h3#cluetip-title { border-radius: 16px 16px 0 0; -moz-border-radius: 16px 16px 0 0; -khtml-border-radius: 16px 16px 0 0; -webkit-border-radius: 16px 16px 0 0; }
+
+.content .errors, .content .infos { position:relative;}
+#theAdminPage  #pwgMain .Whois_Online { text-align:center; }
+#theAdminPage  #pwgMain .Whois_Online *,
+#theAdminPage  #pwgMain .Whois_Online *:hover,
+#theAdminPage  #pwgMain .Whois_Online *:focus,
+#theAdminPage  #pwgMain .Whois_Online *:active { outline: 0; }
+#theAdminPage  #pwgMain .Whois_Online  input { border-radius: 8px; -moz-border-radius: 8px; -khtml-border-radius: 8px; -webkit-border-radius: 8px; }
+#theAdminPage .Whois_Online fieldset { border-radius: 16px; -moz-border-radius: 16px; -khtml-border-radius: 16px; -webkit-border-radius: 16px; }
+#theAdminPage  #pwgMain .Whois_Online  input { padding-left:5px; }
+#theAdminPage   #pwgMain .Whois_Online input[type="submit"] { padding:0 45px; }
Index: extensions/whois_online/reload.php
===================================================================
--- extensions/whois_online/reload.php	(revision 6221)
+++ extensions/whois_online/reload.php	(revision 6386)
@@ -94,8 +94,11 @@
 }
 foreach ($online as $k => $v) {
-  // The stupid History search will be reused instead of created... (even if History search will recreate it)
-	if ($conf['log']) $online[$k]['url_user'] = 
-		PHPWG_ROOT_PATH .'admin.php?page=history&amp;user_id='.$online[$k]['user_id'].'&amp;search_id='.$conf_whois['Search id'];
-	
+  // The stupid History search will be reused instead of created... (even if History search will recreate it)	
+    if ($conf['log']) { 
+		if ( $conf['history_guest'] or $online[$k]['user_id'] != $conf['guest_id'])
+			$online[$k]['url_user'] = 
+			PHPWG_ROOT_PATH .'admin.php?page=history&amp;user_id='.$online[$k]['user_id'].'&amp;search_id='.$conf_whois['Search id'];
+	}
+
 	$online[$k]['Language'] = (isset($lang_code[$v['lang']])) ? $lang_code[$v['lang']]:l10n('Deleted language');
 	$online[$k]['Country'] = whois_country($v, $bypass);
Index: extensions/whois_online/report.tpl
===================================================================
--- extensions/whois_online/report.tpl	(revision 6221)
+++ extensions/whois_online/report.tpl	(revision 6386)
@@ -14,5 +14,6 @@
 {foreach from=$search_results item=detail name=res_loop}
 <tr class="{if $smarty.foreach.res_loop.index is odd}row1{else}row2{/if}">
-  <td><a href={if isset($detail.url_user)}"{$detail.url_user}" onclick="window.open(this.href); return false;"{else}"#"{/if} class="cluetip{if ($detail.guest)} other{/if}" 
+  <td><a {if isset($detail.url_user)}href="{$detail.url_user}"{else}href="href="{'http:geoiptool'|@translate}{$detail.IP}"{/if} 
+        onclick="window.open(this.href); return false;" class="cluetip{if ($detail.guest)} other{/if}" 
 		title="{'User:'|@translate} {$detail.username}|
 			<table>
@@ -35,8 +36,8 @@
 	</td>
 	<td>
-		{if ($detail.user_id == '1')}<a class="external" href="{'http:hostip'|@translate}" title="{':hostip:title'|@translate}">
+		{if ($detail.user_id == '1')}<a class="external" onclick="window.open(this.href); return false;" href="{'http:hostip'|@translate}" title="{':hostip:title'|@translate}">
 			<img src="{$detail.Flag}" alt="{$detail.IP} - {'language'|@translate}: {$detail.Language}" width="24" height="16">
 		</a>
-		{else}<a class="external" href="{'http:geoiptool'|@translate}{$detail.IP}" title="{':geoiptool:title'|@translate}">
+		{else}<a class="external" onclick="window.open(this.href); return false;" href="{'http:geoiptool'|@translate}{$detail.IP}" title="{':geoiptool:title'|@translate}">
 			<img src="{$detail.Flag}" alt="{$detail.IP} - {'language'|@translate}: {$detail.Language}" width="24" height="16">
 		</a>
@@ -56,4 +57,5 @@
 			{if (isset($image.path))}
 				<a class="cluetip {if $smarty.foreach.res_loop.index is odd}ws1{else}ws2{/if} {$image.ws_level}" 
+				  onclick="window.open(this.href); return false;"
 				  href="{$image.url_modify}" title="<div style=&#34;text-align:center;&#34;>
 				<img src=&#34;{$image.tn_url}&#34;></div>|
@@ -74,4 +76,5 @@
 					Hits on: {$image.hit}<br />">{$id}</a>
 				{else}<a class="{if $smarty.foreach.res_loop.index is odd}ws1{else}ws2{/if}" 
+ 				  onclick="window.open(this.href); return false;"
 				  href="{$image.url_modify}" title="{$id}{' - Over the radar limit => No level control'|@translate}">{$id}</a>
 			{/if}