Index: extensions/rv_gmaps/trunk/admin/admin_sync.tpl
===================================================================
--- extensions/rv_gmaps/trunk/admin/admin_sync.tpl	(revision 6399)
+++ extensions/rv_gmaps/trunk/admin/admin_sync.tpl	(revision 6400)
@@ -2,14 +2,14 @@
 
 {if isset($metadata_result)}
-<h3>{'update_result_metadata'|@translate}</h3>
+<h3>{'Metadata synchronization results'|@translate}</h3>
 <ul>
-	<li>{$metadata_result.NB_ELEMENTS_DONE} {'update_nb_elements_metadata_sync'|@translate}</li>
-	<li>{$metadata_result.NB_ELEMENTS_CANDIDATES} {'update_nb_elements_metadata_available'|@translate}</li>
-	<li>{$metadata_result.NB_ERRORS} {'update_nb_errors'|@translate}</li>
+	<li>{$metadata_result.NB_ELEMENTS_DONE} {'elements updated in the database'|@translate}</li>
+	<li>{$metadata_result.NB_ELEMENTS_CANDIDATES} {'images candidates for metadata synchronization'|@translate}</li>
+	<li>{$metadata_result.NB_ERRORS} {'errors during synchronization'|@translate}</li>
 </ul>
 {/if}
 
 {if not empty($sync_errors)}
-<h3>{'update_error_list_title'|@translate}</h3>
+<h3>{'Error list'|@translate}</h3>
 <div class="errors">
 <ul>
@@ -26,10 +26,10 @@
     <legend>synchronization options</legend>
     <ul>
-      <li><label><input type="checkbox" name="simulate" value="1" checked="checked" {$TAG_INPUT_ENABLED} /> {'update_simulate'|@translate}</label></li>
+      <li><label><input type="checkbox" name="simulate" value="1" checked="checked" {$TAG_INPUT_ENABLED} /> {'only perform a simulation (no change in database will be made)'|@translate}</label></li>
     </ul>
   </fieldset>
 
   <fieldset id="catSubset">
-    <legend>{'update_cats_subset'|@translate}</legend>
+    <legend>{'reduce to single existing categories'|@translate}</legend>
     <ul>
     <li>
@@ -39,5 +39,5 @@
     </li>
 
-    <li><label><input type="checkbox" name="subcats_included" value="1" {$SUBCATS_INCLUDED_CHECKED} /> {'search_subcats_included'|@translate}</label></li>
+    <li><label><input type="checkbox" name="subcats_included" value="1" {$SUBCATS_INCLUDED_CHECKED} /> {'Search in subcategories'|@translate}</label></li>
     </ul>
   </fieldset>
Index: extensions/rv_gmaps/trunk/changelog.txt
===================================================================
--- extensions/rv_gmaps/trunk/changelog.txt	(revision 6399)
+++ extensions/rv_gmaps/trunk/changelog.txt	(revision 6400)
@@ -1,2 +1,6 @@
+2.1.a
+- compatibility with piwigo 2.1
+- rolled back dirty fix in previos version (google corrected the issue)
+	
 2.0.d
   - hungarian translation thanks to external contributors
Index: extensions/rv_gmaps/trunk/main.inc.php
===================================================================
--- extensions/rv_gmaps/trunk/main.inc.php	(revision 6399)
+++ extensions/rv_gmaps/trunk/main.inc.php	(revision 6400)
@@ -1,5 +1,5 @@
 <?php /*
 Plugin Name: RV Maps&Earth
-Version: 2.0.d
+Version: 2.1.a
 Description: Extend your gallery with Google Maps and Google Earth ...
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=122
@@ -7,5 +7,5 @@
 Author URI: http://www.modusoptimus.com/
 */
-define( 'RVM_PLUGIN_VERSION', '2.0.d');
+define( 'RVM_PLUGIN_VERSION', '2.1.a');
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
Index: extensions/rv_gmaps/trunk/template/data_loader.js
===================================================================
--- extensions/rv_gmaps/trunk/template/data_loader.js	(revision 6399)
+++ extensions/rv_gmaps/trunk/template/data_loader.js	(revision 6400)
@@ -78,5 +78,5 @@
 
 	// BEGIN BUG in maps api 2.185 up to "today" 2.193 - when map wraps horizontally more than 360 deg - the getBounds is wrong
-	if ( this._map.getZoom() <= 2 || this._map.getZoom() == 3 && this._map.getSize().width > 1000 )
+	/*if ( this._map.getZoom() <= 2 || this._map.getZoom() == 3 && this._map.getSize().width > 1000 )
 	{
 		bounds = new GLatLngBounds(
@@ -84,5 +84,5 @@
 				new GLatLng( bounds.getNorthEast().lat(),  180 )
 			);
-	}
+	}*/
 	// END BUG
 	var latRange = bounds.toSpan().lat();