Index: /branches/2.1/admin/rating.php
===================================================================
--- /branches/2.1/admin/rating.php	(revision 6402)
+++ /branches/2.1/admin/rating.php	(revision 6403)
@@ -135,9 +135,7 @@
     array(l10n('Number of rates'), 'nb_rates DESC'),
     array(l10n('Sum of rates'), 'sum_rates DESC'),
-    array(l10n('Controversy'), 'std_rates DESC'),
     array(l10n('File name'), 'file DESC'),
     array(l10n('Creation date'), 'date_creation DESC'),
     array(l10n('Post date'), 'date_available DESC'),
-
   );
 
Index: /branches/2.1/language/ar_SA/admin.lang.php
===================================================================
--- /branches/2.1/language/ar_SA/admin.lang.php	(revision 6402)
+++ /branches/2.1/language/ar_SA/admin.lang.php	(revision 6403)
@@ -70,5 +70,4 @@
 $lang['Check for upgrade'] = 'التأكد من التحديثات';
 $lang['Comments for all'] = 'يسمح للجميع بالتعليق دون استثناء و دون طائفية :)';
-$lang['Controversy'] = 'التعليقات';
 $lang['Current name'] = 'الاسم الحالي';
 $lang['Database'] = 'قاعدة البيانات';
Index: /branches/2.1/language/cs_CZ/admin.lang.php
===================================================================
--- /branches/2.1/language/cs_CZ/admin.lang.php	(revision 6402)
+++ /branches/2.1/language/cs_CZ/admin.lang.php	(revision 6403)
@@ -73,5 +73,4 @@
 $lang['Check for upgrade'] = 'Zjistit možnost aktualizace';
 $lang['Comments for all'] = 'Komentáře pro všechny';
-$lang['Controversy'] = 'Kontroverze';
 $lang['Current name'] = 'Současný název';
 $lang['Database'] = 'Databáze';
Index: /branches/2.1/language/da_DK/admin.lang.php
===================================================================
--- /branches/2.1/language/da_DK/admin.lang.php	(revision 6402)
+++ /branches/2.1/language/da_DK/admin.lang.php	(revision 6403)
@@ -72,5 +72,4 @@
 $lang['Check for upgrade'] = 'Tjek efter opgradering';
 $lang['Comments for all']     =     'Kommentarer til alle';
-$lang['Controversy'] = 'Kontrovers';
 $lang['Current name']     =     'Nuværende navn';
 $lang['Database']     =     'Database';
Index: /branches/2.1/language/de_DE/admin.lang.php
===================================================================
--- /branches/2.1/language/de_DE/admin.lang.php	(revision 6402)
+++ /branches/2.1/language/de_DE/admin.lang.php	(revision 6403)
@@ -70,5 +70,4 @@
 $lang['Check for upgrade'] = 'Prüfe ob eine neue Version der Bildergalerie verfügbar ist.';
 $lang['Comments for all'] = 'Kommentare für alle erlaubt';
-$lang['Controversy'] = 'Abweichung';
 $lang['Current name'] = 'Derzeitiger Name';
 $lang['Database'] = 'Datenbank';
Index: /branches/2.1/language/en_UK/admin.lang.php
===================================================================
--- /branches/2.1/language/en_UK/admin.lang.php	(revision 6402)
+++ /branches/2.1/language/en_UK/admin.lang.php	(revision 6403)
@@ -72,5 +72,4 @@
 $lang['Check for upgrade'] = "Check for upgrade";
 $lang['Comments for all'] = "Comments for all";
-$lang['Controversy'] = "Controversy";
 $lang['Current name'] = "Current name";
 $lang['Database'] = "Database";
Index: /branches/2.1/language/es_ES/admin.lang.php
===================================================================
--- /branches/2.1/language/es_ES/admin.lang.php	(revision 6402)
+++ /branches/2.1/language/es_ES/admin.lang.php	(revision 6403)
@@ -70,5 +70,4 @@
 $lang['Check for upgrade'] = 'Última versión';
 $lang['Comments for all'] = 'Comentarios para todos';
-$lang['Controversy'] = 'Controversia';
 $lang['Current name'] = 'Nombre corriente';
 $lang['Database'] = 'Base de datos';
Index: /branches/2.1/language/fr_FR/admin.lang.php
===================================================================
--- /branches/2.1/language/fr_FR/admin.lang.php	(revision 6402)
+++ /branches/2.1/language/fr_FR/admin.lang.php	(revision 6403)
@@ -72,5 +72,4 @@
 $lang['Check for upgrade'] = "Dernière version ?";
 $lang['Comments for all'] = "Commentaires pour tous";
-$lang['Controversy'] = "Conflit";
 $lang['Current name'] = "Nom courant";
 $lang['Database'] = "Base de données";
Index: /branches/2.1/language/hr_HR/admin.lang.php
===================================================================
--- /branches/2.1/language/hr_HR/admin.lang.php	(revision 6402)
+++ /branches/2.1/language/hr_HR/admin.lang.php	(revision 6403)
@@ -70,5 +70,4 @@
 $lang['Check for upgrade'] = 'Provjera nadogradnje';
 $lang['Comments for all'] = 'Komentari za sve';
-$lang['Controversy'] = 'Osporavanja';
 $lang['Current name'] = 'Trenutni naziv';
 $lang['Database'] = 'Baza podataka';
Index: /branches/2.1/language/hu_HU/admin.lang.php
===================================================================
--- /branches/2.1/language/hu_HU/admin.lang.php	(revision 6402)
+++ /branches/2.1/language/hu_HU/admin.lang.php	(revision 6403)
@@ -70,5 +70,4 @@
 $lang['Check for upgrade'] = 'Frissítés keresése';
 $lang['Comments for all'] = 'Bárki hozzászólhat';
-$lang['Controversy'] = 'Szórás';
 $lang['Current name'] = 'Név';
 $lang['Database'] = 'Adatbázis';
Index: /branches/2.1/language/it_IT/admin.lang.php
===================================================================
--- /branches/2.1/language/it_IT/admin.lang.php	(revision 6402)
+++ /branches/2.1/language/it_IT/admin.lang.php	(revision 6403)
@@ -72,5 +72,4 @@
 $lang['Check for upgrade'] = 'Ultima versione ?';
 $lang['Comments for all'] = 'Commenti per tutti';
-$lang['Controversy'] = 'Controversia';
 $lang['Current name'] = 'Nome attuale';
 $lang['Database'] = 'Database';
Index: /branches/2.1/language/ja_JP/admin.lang.php
===================================================================
--- /branches/2.1/language/ja_JP/admin.lang.php	(revision 6402)
+++ /branches/2.1/language/ja_JP/admin.lang.php	(revision 6403)
@@ -70,5 +70,4 @@
 $lang['Check for upgrade'] = 'アップグレードをチェックする';
 $lang['Comments for all'] = 'すべてのユーザにコメントを許可する';
-$lang['Controversy'] = '論争';
 $lang['Current name'] = '現在の名称';
 $lang['Database'] = 'データベース';
Index: /branches/2.1/language/nl_NL/admin.lang.php
===================================================================
--- /branches/2.1/language/nl_NL/admin.lang.php	(revision 6402)
+++ /branches/2.1/language/nl_NL/admin.lang.php	(revision 6403)
@@ -70,5 +70,4 @@
 $lang['Check for upgrade'] = 'Upgradecontrole';
 $lang['Comments for all'] = 'Iedereen mag commentaar geven (ook gasten)';
-$lang['Controversy'] = 'Controversieel';
 $lang['Current name'] = 'Huidige naam';
 $lang['Database'] = 'Database';
Index: /branches/2.1/language/pl_PL/admin.lang.php
===================================================================
--- /branches/2.1/language/pl_PL/admin.lang.php	(revision 6402)
+++ /branches/2.1/language/pl_PL/admin.lang.php	(revision 6403)
@@ -70,5 +70,4 @@
 $lang['Check for upgrade'] = 'Sprawdź aktualizacje';
 $lang['Comments for all'] = 'Komentarze dla wszystkich';
-$lang['Controversy'] = 'Kontorversyjność';
 $lang['Current name'] = 'Bieżąca nazwa';
 $lang['Database'] = 'Baza danych';
Index: /branches/2.1/language/pt_BR/admin.lang.php
===================================================================
--- /branches/2.1/language/pt_BR/admin.lang.php	(revision 6402)
+++ /branches/2.1/language/pt_BR/admin.lang.php	(revision 6403)
@@ -70,5 +70,4 @@
 $lang['Check for upgrade'] = 'Checar por atualização';
 $lang['Comments for all'] = 'Comentários para todos';
-$lang['Controversy'] = 'Controvérsia';
 $lang['Current name'] = 'Nome atual';
 $lang['Database'] = 'Base de dados';
Index: /branches/2.1/language/pt_PT/admin.lang.php
===================================================================
--- /branches/2.1/language/pt_PT/admin.lang.php	(revision 6402)
+++ /branches/2.1/language/pt_PT/admin.lang.php	(revision 6403)
@@ -70,5 +70,4 @@
 $lang['Check for upgrade'] = 'procurar por atualização';
 $lang['Comments for all'] = 'Comentários para todos';
-$lang['Controversy'] = 'Controvérsia';
 $lang['Current name'] = 'Nome atual';
 $lang['Database'] = 'Base de dados';
Index: /branches/2.1/language/ru_RU/admin.lang.php
===================================================================
--- /branches/2.1/language/ru_RU/admin.lang.php	(revision 6402)
+++ /branches/2.1/language/ru_RU/admin.lang.php	(revision 6403)
@@ -70,5 +70,4 @@
 $lang['Check for upgrade'] = 'Проверить обновления';
 $lang['Comments for all'] = 'Комментарии для всех';
-$lang['Controversy'] = 'Противоречие';
 $lang['Current name'] = 'Текущее название';
 $lang['Database'] = 'База данных';
Index: /branches/2.1/language/sr_RS/admin.lang.php
===================================================================
--- /branches/2.1/language/sr_RS/admin.lang.php	(revision 6402)
+++ /branches/2.1/language/sr_RS/admin.lang.php	(revision 6403)
@@ -70,5 +70,4 @@
 $lang['Check for upgrade'] = 'Provera nadogradnje';
 $lang['Comments for all'] = 'Komentari za sve';
-$lang['Controversy'] = 'Osporavanja';
 $lang['Current name'] = 'Trenutni naziv';
 $lang['Database'] = 'Baza podataka';
Index: /branches/2.1/language/templates/admin.lang.php
===================================================================
--- /branches/2.1/language/templates/admin.lang.php	(revision 6402)
+++ /branches/2.1/language/templates/admin.lang.php	(revision 6403)
@@ -71,5 +71,4 @@
 $lang['Check for upgrade'] = 'Check for upgrade';
 $lang['Comments for all'] = 'Comments for all';
-$lang['Controversy'] = 'Controversy';
 $lang['Current name'] = 'Current name';
 $lang['Database'] = 'Database';
Index: /branches/2.1/language/vi_VN/admin.lang.php
===================================================================
--- /branches/2.1/language/vi_VN/admin.lang.php	(revision 6402)
+++ /branches/2.1/language/vi_VN/admin.lang.php	(revision 6403)
@@ -71,5 +71,4 @@
 $lang['Check for upgrade'] = 'Dò tìm phiên bản mới';
 $lang['Comments for all'] = 'Cho mọi đối tượng được phép gởi bình luận';
-$lang['Controversy'] = 'Tranh luận';
 $lang['Current name'] = 'Tên hiện tại';
 $lang['Database'] = 'Cơ sở dữ liệu';
Index: /branches/2.1/language/zh_CN/admin.lang.php
===================================================================
--- /branches/2.1/language/zh_CN/admin.lang.php	(revision 6402)
+++ /branches/2.1/language/zh_CN/admin.lang.php	(revision 6403)
@@ -70,5 +70,4 @@
 $lang['Check for upgrade'] = '检测更新';
 $lang['Comments for all'] = '对所有成员进行评论';
-$lang['Controversy'] = '辩论';
 $lang['Current name'] = '现用名';
 $lang['Database'] = '数据库';