Index: tensions/rv_menutree/branches/changelog.txt
===================================================================
--- /extensions/rv_menutree/branches/changelog.txt	(revision 6403)
+++ 	(revision )
@@ -1,6 +1,0 @@
-2.0.c
-	- optimizations by calling make_index_url less frequently
-	- compatible with IE8
-
-2.1.a
-	- compatibility with piwigo 2.1
Index: tensions/rv_menutree/branches/index.php
===================================================================
--- /extensions/rv_menutree/branches/index.php	(revision 6403)
+++ 	(revision )
@@ -1,33 +1,0 @@
-<?php
-// +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
-// +-----------------------------------------------------------------------+
-// | file          : $Id$
-// | last update   : $Date$
-// | last modifier : $Author$
-// | revision      : $Revision$
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
-$url = '../';
-header( 'Request-URI: '.$url );
-header( 'Content-Location: '.$url );
-header( 'Location: '.$url );
-exit();
-?>
Index: tensions/rv_menutree/branches/main.inc.php
===================================================================
--- /extensions/rv_menutree/branches/main.inc.php	(revision 6403)
+++ 	(revision )
@@ -1,74 +1,0 @@
-<?php /*
-Plugin Name: RV Menu Tree
-Version: 2.1.a
-Plugin URI: http://piwigo.org/ext/extension_view.php?eid=238
-Description: Replaces the categories in the menu bar with a nicer one (javascript).
-Author: rvelices
-Author URI: http://www.modusoptimus.com
-*/
-
-if (!function_exists('rv_ua_is_handheld'))
-{
-	function rv_ua_is_handheld()
-	{
-		if ( isset($_SESSION['is_handheld']) )
-			return $_SESSION['is_handheld'];
-		$ret=false;
-		if ( strpos($_SERVER['HTTP_USER_AGENT'], 'BlackBerry')!==false )
-			$ret=true;
-		if ( session_id()!="" )
-			$_SESSION['is_handheld']=$ret;
-		return $ret;
-	}
-}
-
-add_event_handler('get_categories_menu_sql_where', 'rv_mt_get_categories_menu_sql_where', EVENT_HANDLER_PRIORITY_NEUTRAL, 3 );
-
-function rv_mt_get_categories_menu_sql_where($where, $expand, $filter)
-{
-	if (rv_ua_is_handheld()) return $where;
-	add_event_handler('blockmanager_apply', 'rv_mt_menubar_categories');
-
-	if ($expand)
-		return $where;
-	if ($filter)
-	{
-		global $rv_mt_all_open;
-		$rv_mt_all_open = true;
-		return $where;
-	}
-
-	global $page;
-	if ( !isset($page['category']) )
-		$where = 'id_uppercat IS NULL OR uppercats REGEXP \'^[0-9]+,[0-9]+$\'';
-	else
-	{
-		$where = 'id_uppercat is NULL
-  OR uppercats LIKE "'.$page['category']['upper_names'][0]['id'].',%"
-  OR uppercats REGEXP \'^[0-9]+,[0-9]+$\'';
-	}
-	return $where;
-}
-
-function rv_mt_menubar_categories($menu_ref_arr)
-{
-	$menu = & $menu_ref_arr[0];
-
-	if (($block = $menu->get_block('mbCategories')) != null)
-	{
-		global $template, $page, $rv_mt_all_open;
-
-		$dirname = dirname(__FILE__);
-
-		$block->template = $dirname.'/menubar_categories.tpl';
-
-		$template->assign('rvmt', array(
-			'PATH' => get_root_url().'plugins/'. basename($dirname).'/',
-			'CSS' => str_replace( 'url(', 'url('.get_root_url().'plugins/'.basename($dirname).'/',file_get_contents($dirname.'/rvtree-min.css')),
-			'ALL_OPEN' => $rv_mt_all_open,
-			'UPPER_IDS' => isset($page['category']['uppercats']) ? array_flip( explode(',', $page['category']['uppercats'])) : null,
-			)
-		);
-	}
-}
-?>
Index: tensions/rv_menutree/branches/menubar_categories.tpl
===================================================================
--- /extensions/rv_menutree/branches/menubar_categories.tpl	(revision 6403)
+++ 	(revision )
@@ -1,63 +1,0 @@
-{known_script id="rvtree" src=$rvmt.PATH|@cat:"rvtree-min.js" }
-{html_head}
-<style type="text/css">
-{$rvmt.CSS}
-</style>
-{/html_head}
-<dt>
-  {if isset($U_START_FILTER)}
-  <a href="{$U_START_FILTER}" title="{'display only recently posted images'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/start_filter.png" class="button" alt="start filter"></a>
-  {/if}
-  {if isset($U_STOP_FILTER)}
-  <a href="{$U_STOP_FILTER}" title="{'return to the display of all images'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/stop_filter.png" class="button" alt="stop filter"></a>
-  {/if}
-	<a href="{$block->data.U_CATEGORIES}">{'Categories'|@translate}</a>
-</dt>
-<dd>
-{assign var='ref_level' value=0}
-{foreach from=$block->data.MENU_CATEGORIES item=cat key=key}
-  {if $cat.LEVEL > $ref_level}
-	  {if $ref_level == 0}
-		  <ul class="rvTree" id="theCategoryMenu">
-		{else}
-		  <ul>
-		{/if}
-  {else}
-    </li>
-    {'</ul></li>'|@str_repeat:$ref_level-$cat.LEVEL}
-  {/if}
-	{if $cat.SELECTED}
-		{assign var=liclass value='selected '}
-	{else}
-		{assign var=liclass value=''}
-	{/if}
-	{if $cat.count_categories > 0}
-		{if $rvmt.ALL_OPEN or isset($rvmt.UPPER_IDS[$cat.id])}
-			{assign var=liclass value=$liclass|@cat:'liOpen'}
-		{else}
-			{assign var=liclass value=$liclass|@cat:'liClosed'}
-		{/if}
-	{/if}
-    <li {if !empty($liclass)}class="{$liclass}"{/if}>
-      <a href="{$cat.URL}" {if $cat.IS_UPPERCAT}rel="up"{/if} title="{$cat.TITLE}">{$cat.NAME}</a>
-      {if $cat.count_images > 0}
-      <span class="{if $cat.nb_images > 0}menuInfoCat{else}menuInfoCatByChild{/if}" title="{$cat.TITLE}">[{$cat.count_images}]</span>
-      {/if}
-      {if !empty($cat.icon_ts)}
-      <img title="{$cat.icon_ts.TITLE}" src="{$ROOT_URL}{$themeconf.icon_dir}/recent{if $cat.icon_ts.IS_CHILD_DATE}_by_child{/if}.png" class="icon" alt="(!)">
-      {/if}
-  {assign var='ref_level' value=$cat.LEVEL}
-{/foreach}
-{'</li></ul>'|@str_repeat:$ref_level}
-<script type="text/javascript">
-  RVTree.convertTree( document.getElementById("theCategoryMenu") );
-</script>
-	{if isset($block->data.U_UPLOAD)}
-	<ul>
-		<li>
-			<a href="{$block->data.U_UPLOAD}">{'Upload a picture'|@translate}</a>
-		</li>
-	</ul>
-	{/if}
-	<p class="totalImages">{$pwg->l10n_dec('%d image', '%d images', $block->data.NB_PICTURE)}</p>
-</dd>
Index: tensions/rv_menutree/branches/rvtree-min.css
===================================================================
--- /extensions/rv_menutree/branches/rvtree-min.css	(revision 6403)
+++ 	(revision )
@@ -1,5 +1,0 @@
-ul.rvTree li .bullet{padding-left:14px;margin-left:0;background:url(img/bpm.gif) no-repeat scroll;}
-ul.rvTree li.liOpen .bullet{cursor:pointer;background-position:-38px center;}
-ul.rvTree li.liClosed .bullet{cursor:pointer;background-position:-19px center;}
-ul.rvTree li.liBullet .bullet{cursor:default;background-position:0 center;}
-ul.rvTree li.liClosed ul{display:none;}
Index: tensions/rv_menutree/branches/rvtree-min.js
===================================================================
--- /extensions/rv_menutree/branches/rvtree-min.js	(revision 6403)
+++ 	(revision )
@@ -1,1 +1,0 @@
-var XElement={hasClassName:function(element,className){if(!element)return false;var elementClassName=element.className;if(elementClassName.length==0)return false;if(elementClassName==className||elementClassName.match(new RegExp("(^|\\s)"+className+"(\\s|$)")))return true;return false},addClassName:function(element,className){if(!element)return;var classNames=element.className.split(/\s+/);for(var i=0;i<classNames.length;i++)if(className==classNames[i])return;classNames.splice(0,0,className);element.className=classNames.join(' ');return element},toggleClassName:function(element,className){if(!element)return;var classNames=element.className.split(/\s+/);for(var i=0;i<classNames.length;i++)if(classNames[i]==className)break;if(i==classNames.length)classNames.splice(0,0,className);else classNames.splice(i,1);element.className=classNames.join(' ');return element}};var RVTree={options:{nodeClosedClass:"liClosed",nodeOpenClass:"liOpen",nodeBulletClass:"liBullet",nodeLinkClass:"bullet"},convertTree:function(root){if(!document.createElement)return;if(window.attachEvent&&!window.opera){if(new RegExp("MSIE ([0-9]{1,}[\.0-9]{0,})").exec(navigator.userAgent)!=null)RVTree.options.IEVersion=parseFloat(RegExp.$1)}RVTree._processList(root,true)},_processList:function(ul,isRoot){if(!ul.childNodes||ul.childNodes.length==0)return;for(var i=0;i<ul.childNodes.length;i++){var item=ul.childNodes[i];if(item.nodeName!="LI")continue;var subLists=false;for(var sitemi=0;sitemi<item.childNodes.length;sitemi++){var sitem=item.childNodes[sitemi];if(sitem.nodeName=="UL"){subLists=true;RVTree._processList(sitem,false)}}var s=document.createElement("SPAN");var t='\u00A0';s.className=RVTree.options.nodeLinkClass;if(subLists){if(!XElement.hasClassName(item,RVTree.options.nodeOpenClass))XElement.addClassName(item,RVTree.options.nodeClosedClass);if(item.firstChild.nodeName=="#text"){t=t+item.firstChild.nodeValue;item.removeChild(item.firstChild)}s.onclick=function(){XElement.toggleClassName(this.parentNode,RVTree.options.nodeOpenClass);XElement.toggleClassName(this.parentNode,RVTree.options.nodeClosedClass);return false}}else{if(XElement.hasClassName(item,RVTree.options.nodeClosedClass)){s.onclick=function(){var nodes=this.parentNode.getElementsByTagName("A");if(nodes.length)document.location=nodes[0].href}}else XElement.addClassName(item,RVTree.options.nodeBulletClass)}item.style.listStyleType='none';if(isRoot&&RVTree.options.IEVersion&&RVTree.options.IEVersion<8)item.style.marginLeft="-16px";if(s){s.appendChild(document.createTextNode(t));item.insertBefore(s,item.firstChild)}}ul.style.marginLeft=0;ul.style.paddingLeft=isRoot?0:"8px"}}
Index: tensions/rv_menutree/branches/rvtree.css
===================================================================
--- /extensions/rv_menutree/branches/rvtree.css	(revision 6403)
+++ 	(revision )
@@ -1,16 +1,0 @@
-/*This is not used directly. Compress it to rvtree-min.css using
-http://www.cleancss.com/
-http://www.creativyst.com/Prod/3/
-*/
-
-/* do it in JS so that if browser JS is turned off it looks as before
-ul.rvTree  li { list-style-type: none !important; }
-ul.rvTree     { margin-left:0 !important; padding-left:0 !important;}
-ul.rvTree ul 	{ margin-left:0 !important; padding-left:8px !important;}*/
-
-ul.rvTree  li           .bullet { padding-left: 14px; margin-left: 0; background: url(img/bpm.gif) no-repeat scroll; }
-ul.rvTree  li.liOpen    .bullet { cursor: pointer; background-position: -38px center;}
-ul.rvTree  li.liClosed  .bullet { cursor: pointer; background-position: -19px center;}
-ul.rvTree  li.liBullet  .bullet { cursor: default; background-position: 0 center;}
-	
-ul.rvTree  li.liClosed  ul { display: none; }
Index: tensions/rv_menutree/branches/rvtree.js
===================================================================
--- /extensions/rv_menutree/branches/rvtree.js	(revision 6403)
+++ 	(revision )
@@ -1,130 +1,0 @@
-/* this is not directly used - compress it as rvtree-min.js on http://www.compressjavascript.com/ or somewhere else
-Based on Matt Kruse <matt@mattkruse.com> http://www.mattkruse.com/ */
-var XElement = {
-	hasClassName: function(element, className) {
-		if (!element) return false;
-		var elementClassName = element.className;
-		if (elementClassName.length == 0) return false;
-		if (elementClassName == className ||
-				elementClassName.match(new RegExp("(^|\\s)" + className + "(\\s|$)")))
-			return true;
-		return false;
-	},
-
-	addClassName: function(element, className) {
-		if (!element) return;
-		var classNames = element.className.split(/\s+/);
-		for (var i=0; i<classNames.length; i++)
-			if (className==classNames[i]) return;
-		classNames.splice(0,0,className);
-		element.className = classNames.join(' ');
-		return element;
-	},
-
-	toggleClassName: function(element, className) {
-		if (!element) return;
-		var classNames = element.className.split(/\s+/);
-		for (var i=0; i<classNames.length; i++)
-			if (classNames[i]==className) break;
-		if (i==classNames.length)
-			classNames.splice(0,0,className);
-		else
-			classNames.splice(i, 1);
-		element.className = classNames.join(' ');
-		return element;
-	}
-};
-
-var RVTree =
-{
-	options :
-	{
-		nodeClosedClass: "liClosed",
-		nodeOpenClass: "liOpen",
-		nodeBulletClass: "liBullet",
-		nodeLinkClass: "bullet"
-	},
-
-	convertTree: function (root)
-	{
-		if (!document.createElement) return; // Without createElement, we can't do anything
-		if (window.attachEvent && !window.opera)
-		{
-			if ( new RegExp("MSIE ([0-9]{1,}[\.0-9]{0,})").exec( navigator.userAgent ) != null )
-				RVTree.options.IEVersion = parseFloat( RegExp.$1 );
-		}
-		RVTree._processList(root, true);
-	},
-
-	_processList: function(ul, isRoot)
-	{
-		if (!ul.childNodes || ul.childNodes.length==0) return;
-
-		for (var i=0; i<ul.childNodes.length; i++)
-		{ //Iterate LIs
-			var item = ul.childNodes[i];
-			if (item.nodeName != "LI")
-				continue;
-
-			// Iterate things in this LI
-			var subLists = false;
-			for (var sitemi=0;sitemi<item.childNodes.length;sitemi++)
-			{
-				var sitem = item.childNodes[sitemi];
-				if (sitem.nodeName=="UL")
-				{
-					subLists = true;
-					RVTree._processList(sitem, false);
-				}
-			}
-
-			var s= document.createElement("SPAN");
-			var t= '\u00A0'; // &nbsp;
-			s.className = RVTree.options.nodeLinkClass;
-			if (subLists)
-			{
-				// This LI has UL's in it, so it's a +/- node
-				if ( !XElement.hasClassName(item, RVTree.options.nodeOpenClass) )
-					XElement.addClassName(item, RVTree.options.nodeClosedClass);
-
-				// If it's just text, make the text work as the link also
-				if (item.firstChild.nodeName=="#text")
-				{
-					t = t+item.firstChild.nodeValue;
-					item.removeChild(item.firstChild);
-				}
-				s.onclick = function ()
-				{
-					XElement.toggleClassName( this.parentNode, RVTree.options.nodeOpenClass );
-					XElement.toggleClassName( this.parentNode, RVTree.options.nodeClosedClass );
-					return false;
-				}
-			}
-			else
-			{// No sublists
-				if ( XElement.hasClassName(item, RVTree.options.nodeClosedClass) )
-				{
-					s.onclick = function()
-					{
-						var nodes = this.parentNode.getElementsByTagName("A");
-						if (nodes.length)
-							document.location = nodes[0].href;
-					}
-				}
-				else
-					XElement.addClassName(item, RVTree.options.nodeBulletClass);
-			}
-
-			item.style.listStyleType='none';
-			if (isRoot && RVTree.options.IEVersion && RVTree.options.IEVersion < 8)
-				item.style.marginLeft="-16px"; // thats IE6,IE7 ; IE8 seems more compliant
-			if (s)
-			{
-				s.appendChild(document.createTextNode(t));
-				item.insertBefore(s,item.firstChild);
-			}
-		}
-		ul.style.marginLeft = 0;
-		ul.style.paddingLeft = isRoot ? 0 : "8px";
-	}
-}