Index: /extensions/rv_menutree/trunk/language/en_UK/description.txt
===================================================================
--- /extensions/rv_menutree/trunk/language/en_UK/description.txt	(revision 6408)
+++ /extensions/rv_menutree/trunk/language/en_UK/description.txt	(revision 6408)
@@ -0,0 +1,1 @@
+﻿Replaces the categories in the menu bar with a nicer one (javascript).
Index: /extensions/rv_menutree/trunk/language/en_UK/index.php
===================================================================
--- /extensions/rv_menutree/trunk/language/en_UK/index.php	(revision 6408)
+++ /extensions/rv_menutree/trunk/language/en_UK/index.php	(revision 6408)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 4192 2009-11-05 11:48:31Z ddtddt $
+// | last update   : $Date: 2009-11-05 12:48:31 +0100 (jeu., 05 nov. 2009) $
+// | last modifier : $Author: ddtddt $
+// | revision      : $Revision: 4192 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/trunk/language/fr_FR/description.txt
===================================================================
--- /extensions/rv_menutree/trunk/language/fr_FR/description.txt	(revision 6408)
+++ /extensions/rv_menutree/trunk/language/fr_FR/description.txt	(revision 6408)
@@ -0,0 +1,1 @@
+Améliore l'affichage des catégories du menu (javascript).
Index: /extensions/rv_menutree/trunk/language/fr_FR/index.php
===================================================================
--- /extensions/rv_menutree/trunk/language/fr_FR/index.php	(revision 6408)
+++ /extensions/rv_menutree/trunk/language/fr_FR/index.php	(revision 6408)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 4192 2009-11-05 11:48:31Z ddtddt $
+// | last update   : $Date: 2009-11-05 12:48:31 +0100 (jeu., 05 nov. 2009) $
+// | last modifier : $Author: ddtddt $
+// | revision      : $Revision: 4192 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/trunk/main.inc.php
===================================================================
--- /extensions/rv_menutree/trunk/main.inc.php	(revision 6407)
+++ /extensions/rv_menutree/trunk/main.inc.php	(revision 6408)
@@ -30,12 +30,6 @@
 	add_event_handler('blockmanager_apply', 'rv_mt_menubar_categories');
 
-	if ($expand)
+	if ($expand or $filter)
 		return $where;
-	if ($filter)
-	{
-		global $rv_mt_all_open;
-		$rv_mt_all_open = true;
-		return $where;
-	}
 
 	global $page;
@@ -57,5 +51,5 @@
 	if (($block = $menu->get_block('mbCategories')) != null)
 	{
-		global $template, $page, $rv_mt_all_open;
+		global $template, $page;
 
 		$dirname = dirname(__FILE__);
@@ -66,5 +60,4 @@
 			'PATH' => get_root_url().'plugins/'. basename($dirname).'/',
 			'CSS' => str_replace( 'url(', 'url('.get_root_url().'plugins/'.basename($dirname).'/',file_get_contents($dirname.'/rvtree-min.css')),
-			'ALL_OPEN' => $rv_mt_all_open,
 			'UPPER_IDS' => isset($page['category']['uppercats']) ? array_flip( explode(',', $page['category']['uppercats'])) : null,
 			)
Index: /extensions/rv_menutree/trunk/menubar_categories.tpl
===================================================================
--- /extensions/rv_menutree/trunk/menubar_categories.tpl	(revision 6407)
+++ /extensions/rv_menutree/trunk/menubar_categories.tpl	(revision 6408)
@@ -33,5 +33,5 @@
 	{/if}
 	{if $cat.count_categories > 0}
-		{if $rvmt.ALL_OPEN or isset($rvmt.UPPER_IDS[$cat.id])}
+		{if isset($U_STOP_FILTER) or isset($rvmt.UPPER_IDS[$cat.id])}
 			{assign var=liclass value=$liclass|@cat:'liOpen'}
 		{else}