Index: extensions/whois_online/language/de_DE/description.txt
===================================================================
--- extensions/whois_online/language/de_DE/description.txt	(revision 6414)
+++ extensions/whois_online/language/de_DE/description.txt	(revision 6414)
@@ -0,0 +1,1 @@
+Whois Online ist ein Monitoringwerkzeug das in Echtzeit Bilder- und Indexaktivitäten zeigt (je nach Aktivierung ihrer History und der gewählten Konfiguration).
Index: extensions/whois_online/language/de_DE/index.php
===================================================================
--- extensions/whois_online/language/de_DE/index.php	(revision 6414)
+++ extensions/whois_online/language/de_DE/index.php	(revision 6414)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/whois_online/language/de_DE/plugin.lang.php
===================================================================
--- extensions/whois_online/language/de_DE/plugin.lang.php	(revision 6414)
+++ extensions/whois_online/language/de_DE/plugin.lang.php	(revision 6414)
@@ -0,0 +1,117 @@
+<?php
+$lang['Monitor'] = 'Monitor';
+$lang['Active capture'] = 'Aktive Erfassung';
+$lang['Delete level [10-200] (ratio between obsolete and active)'] = 
+	'L&ouml;schlevel [10-200] (Verh&auml;ltnis zwischen veraltet und aktiv)';
+$lang['Obsolete limit [20-100] (obsolete data count)'] = 
+	'Ab wann veraltet [20-100] (Z&auml;hler f&uuml;r veraltete Daten)';
+$lang['Add link to Plugins menu'] = 'F&uuml;ge einen Link zum Pluginmen&uuml; hinzu';
+$lang['Keep data even if plugin is deactivated/uninstall'] = 
+	'Behalten Sie Daten, selbst wenn das Plugin deaktiviert oder deinstalliert wird';
+$lang['Advanced users: template vars are available in all cases and might be included in your extensions'] = 
+	'F&uuml;r fortgeschrittene Benutzer: die Templatevariablen sind immer verf&uuml;gbar und k&ouml;nnen in ihre Erweiterung integriert werden';
+$lang['Default display'] = 'Standartanzeige';
+$lang['Total hits:'] = 'Gesamte Treffer:';
+//$lang['Image hits:'] = 'Bilder-Treffer:';
+//$lang['other hits:'] = 'andere Treffer:';
+$lang['Your recently viewed pictures'] = 'Ihre k&uuml;rzlich angesehenen Bilder';
+$lang['Most recent 10 minutes hits:'] = 'Die meistgesehenen der letzten 10 Minuten:';
+$lang['Some of recently viewed pictures by other users'] = 
+	'Einige Bilder, die k&uuml;rzlich durch andere Benutzer angesehen wurden';
+$lang['Current hour hits:'] = 'Treffer der letzten Stunde:';
+$lang['Yesterday hits:'] = 'Treffer des gestrigen Tages:';
+$lang['Last 24h users:'] = 'Besucher der letzten 24 Stunden:';
+$lang['Last hour online users:'] = 'Besucher zur gegenw&auml;rtigen Stunde:';
+$lang['Recent guest(s):'] = 'Neuer Gast (G&auml;ste):';
+$lang['Recent member(s):'] = 'Neueste(s) Mitglied(er):';
+$lang['Permanence/Durability of user monitoring'] = 'Dauerhaftigkeit/Best&auml;ndigkeit des Benutzersmonitorings';
+//$lang['Next version enhancements: Set/Unset of permanence, Cleaning, and detail reporting'] = 
+//	'Erweiterungen in der n&auml;chsten Version: Ein/Ausschalten der Dauer, Reinigung und Reportdetails';
+$lang['Whois_review'] = 'K&uuml;rzlich angesehen von Ihnen';
+$lang['Whois_others'] = 'K&uuml;rzlich angesehen von anderen'; /* or you a long time ago */
+$lang['Add icon to History'] = 'F&uuml;gen Sie ein zus&auml;tzlichen Icon zur History hinzu';
+
+// Added 2.0.e
+$lang['Radar limit'] = 'Radargrenze';
+$lang['Users with image cluetips [10-200]'] = 'Benutzer mit Bild-Tooltips [10-200]';
+$lang['Default %s'] = 'Standart %s';
+$lang['Default as anybody'] = 'Standart f&uuml;r alles';
+$lang['Webmasters management:'] = 'Webmaster Management:';
+$lang['Exclude'] = 'Ausgeschlossen';
+$lang['Hidden'] = 'Verborgen';
+$lang['As anybody'] = 'Wie jeder';
+$lang['Administrators management:'] = 'Administrator Management:';
+$lang['Your `%s` table summary'] = 'Ihre `%s` Tabellenzusammenfassung';
+$lang['Compress it!'] = 'Komprimieren!';
+$lang[' => Delete old guests access (over 3 days), and optimize table and index.'] = 
+	' => L&ouml;sche alte Zugriffe durch G&auml;ste(&auml;lter als 3 Tage), und optimiere die Tabelle und den Index.';
+$lang['Space used: %s'] = 'benutzer Speicher: %s';
+$lang['Unused allocated space: <strong>%s</strong>'] = 'Unbenutzter zugeteilter Speicher: <strong>%s</strong>';
+$lang['Traced sessions: %s'] = 'Verfolgte Sitzungen: %s';
+$lang['Altered/created since: %s'] = 'Ver&auml;ndert/erstellt seit: %s';
+$lang['Clearing'] = 'Aufr&auml;umen';
+$lang['Clear temporary users (minimal delay is 6 minutes). To clean any permanent users, switch them before in the right list above.'] = 
+	'Entferne tempor&auml;re Benutzer (minimale Verz&ouml;gerung ist 6 Minuten). Um irgendwelche dauerhaften Benutzer zu s&auml;ubern, schalten Sie  oben vorher in der richtigen Liste.';
+$lang['Delete'] = 'L&ouml;sche';
+$lang['Members summary'] = 'Mitglieder-Zusammenfassung';
+$lang['Registration counter: %s'] = 'Z&auml;hler der Registrierungen: %s';
+$lang['Most members ever online was %s on %s'] = 'Die meisten Mitglieder (%s) waren online am on %s';
+$lang['Y-m-d H:i'] = 'F dS, Y g:i A';
+$lang['Available filters'] = 'Verf&uuml;gbare Filter';
+$lang['Monitored members'] = 'Aufgezeichnete Mitglieder';
+$lang['Captured guests'] = 'Aufgezeichnete G&auml;ste';
+$lang['Last 24h accesses'] = 'Zugriffe der letzten 24 Stunden';
+$lang['More than 24h accesses'] = 'Zugriffe in mehr als 24 Stunden';
+$lang['Pictures accesses'] = 'Zugriffe auf Bilder';
+$lang['No picture accesses'] = 'Ohne Zugriff auf Bilder';
+$lang['Unidentifed countries'] = 'Unbekanntes Herkunftsland';
+$lang['Only one day accesses'] = 'Zugriffe nur eines Tages';
+$lang['Several days accesses or over midnight'] = 'Zugriffe &uuml;ber mehrere Tage oder &uuml;ber Mitternacht';
+$lang['Several identified IPs (Only the first one is kept)'] = 'Mehrere identifizierte IPs (Nur die erste wird behalten)';
+$lang['User access details'] = 'Details Benutzerzugriff';
+$lang['No data available'] = 'Keine Daten verf&uuml;gbar';
+$lang['users'] = 'Benutzer';
+$lang['First access'] = 'Erster Zugriff';
+$lang['Level'] = 'Level';
+$lang['Images (Modify)'] = 'Bilder (Modifizieren)';
+$lang['Last access'] = 'Letzter Zugriff';
+$lang['User:'] = 'Benutzer:';
+$lang['(Multiple IP)'] = '(Mehrere IPs)';
+$lang['Registered since'] = 'Registriert seit';
+$lang['Hits since'] = 'Treffer seit';
+$lang['on pictures'] = 'auf Bilder';
+$lang['on pages'] = 'auf Seiten';
+$lang['Level %d'] = 'Level %d';
+$lang['Image privacy level is higher than the user privacy level (Any change of one of them?)'] = 
+	'Der Privacy-Level des Bildes ist h&ouml;her als der des Benutzers (Wurde ein Level ver&auml;ndert?)';
+$lang[' - Over the radar limit => No level control'] = ' - Über dem Limit des Radars => Keine Kontrolle des Levels';
+$lang['Previous connection dates'] = 'Vorherige Verbindungsdaten';
+$lang[': provides newcomers\' localization and possibly new country flags, thanks to them.'] = 
+	': liefert Neuank&ouml;mmlinge\'Lokalisierung und vielleicht neue Landesflaggen, dank an Sie.';
+$lang[': provides IP geolocalization on request (link on flag). Useful for unknown countries.'] =
+	': stellt IP geolocalization auf Anfrage (Link auf der Fahne) zur Verf&uuml;gung. N&uuml;tzlich f&uuml;r unbekannte L&auml;nder.';
+$lang['Report'] = 'Radar Report';
+$lang['Error range: '] = 'Fehlerbereich: ';
+$lang['Radar_limit [10-200] (Users with image cluetips on radar page)'] = 
+	'Radar_limit [10-200] (Benutzer mit Bildertooltips auf der Radarseite)';
+$lang['User follow up error'] = 'Benutzer folgt Fehler';
+$lang['You are Adviser and you are not authorized to change this configuration.'] = 
+	'Sie sind Berater, und Sie sind nicht bevollm&auml;chtigt, diese Konfiguration zu &auml;ndern.';
+$lang['Configuration has been saved.'] = 'Konfiguration wurde gespeichert.';
+$lang['Permanent users (3 months min)'] = 'Dauernutzer (mindestens 3 Monate)';
+$lang['Temporary users (around 72 hours)'] = 'Tempor&auml;re Benutzer (ca. 72 Stunden)';
+$lang['Unknown country'] = 'Unbekanntes Land';
+$lang['Deleted language'] = 'Gel&ouml;schte Sprache';
+$lang['Recents (less 24h)'] = 'Neueste (weniger als 24 Stunden)';
+$lang['More than 24h'] = 'Mehr als 24 Stunden';
+$lang['On pictures'] = 'Auf Bilder';
+$lang['Categories only'] = 'Nur auf Kategorien';
+$lang['No country'] = 'Kein Land';
+$lang['One day'] = 'Ein Tag';
+$lang['Several days'] = 'Mehrere Tage';
+$lang['Several IPs'] = 'Mehrere IPs';
+$lang['http:geoiptool'] = 'http://www.geoiptool.com/en/?IP=';
+$lang[':geoiptool:title']= 'Meine IP-Adresse Lookup und GeoTargeting Information';
+$lang['http:hostip'] = 'http://www.hostip.info';
+$lang[':hostip:title'] = 'My IP Address Lookup and GeoTargeting Community Geotarget IP Project - what country, city IP addresses map to';
+?>