Index: /extensions/PWG_Stuffs/modules/BestRated/config.inc.php
===================================================================
--- /extensions/PWG_Stuffs/modules/BestRated/config.inc.php	(revision 6414)
+++ /extensions/PWG_Stuffs/modules/BestRated/config.inc.php	(revision 6415)
@@ -17,5 +17,5 @@
     'nb_images' => intval($_POST['nb_images']),
     'cat_display' => $_POST['cat_display'],
-    'cat_selection' => $_POST['cat_selection'],
+    'cat_selection' => @$_POST['cat_selection'],
     );
   unset($_POST['on_picture']);
Index: /extensions/PWG_Stuffs/modules/BestRated/config.tpl
===================================================================
--- /extensions/PWG_Stuffs/modules/BestRated/config.tpl	(revision 6414)
+++ /extensions/PWG_Stuffs/modules/BestRated/config.tpl	(revision 6415)
@@ -1,5 +1,5 @@
-{known_script id="jquery" src=$ROOT_URL|@cat:"template-common/lib/jquery.packed.js"}
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"template-common/lib/ui/ui.core.packed.js"}
-{known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"template-common/lib/ui/ui.resizable.packed.js"}
+{known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"}
+{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
+{known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.resizable.packed.js"}
 
 <table>
Index: /extensions/PWG_Stuffs/modules/Citation/config.tpl
===================================================================
--- /extensions/PWG_Stuffs/modules/Citation/config.tpl	(revision 6414)
+++ /extensions/PWG_Stuffs/modules/Citation/config.tpl	(revision 6415)
@@ -1,5 +1,5 @@
-{known_script id="jquery" src=$ROOT_URL|@cat:"template-common/lib/jquery.packed.js"}
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"template-common/lib/ui/ui.core.packed.js"}
-{known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"template-common/lib/ui/ui.resizable.packed.js"}
+{known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"}
+{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
+{known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.resizable.packed.js"}
 <table>
     <tr>
Index: /extensions/PWG_Stuffs/modules/MostVisited/config.inc.php
===================================================================
--- /extensions/PWG_Stuffs/modules/MostVisited/config.inc.php	(revision 6414)
+++ /extensions/PWG_Stuffs/modules/MostVisited/config.inc.php	(revision 6415)
@@ -17,5 +17,5 @@
     'nb_images' => intval($_POST['nb_images']),
     'cat_display' => $_POST['cat_display'],
-    'cat_selection' => $_POST['cat_selection'],
+    'cat_selection' => @$_POST['cat_selection'],
     );
   unset($_POST['on_picture']);
Index: /extensions/PWG_Stuffs/modules/MostVisited/config.tpl
===================================================================
--- /extensions/PWG_Stuffs/modules/MostVisited/config.tpl	(revision 6414)
+++ /extensions/PWG_Stuffs/modules/MostVisited/config.tpl	(revision 6415)
@@ -1,5 +1,5 @@
-{known_script id="jquery" src=$ROOT_URL|@cat:"template-common/lib/jquery.packed.js"}
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"template-common/lib/ui/ui.core.packed.js"}
-{known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"template-common/lib/ui/ui.resizable.packed.js"}
+{known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"}
+{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
+{known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.resizable.packed.js"}
 
 <table>
Index: /extensions/PWG_Stuffs/modules/Random/config.inc.php
===================================================================
--- /extensions/PWG_Stuffs/modules/Random/config.inc.php	(revision 6414)
+++ /extensions/PWG_Stuffs/modules/Random/config.inc.php	(revision 6415)
@@ -17,5 +17,5 @@
     'nb_images' => intval($_POST['nb_images']),
     'cat_display' => $_POST['cat_display'],
-    'cat_selection' => $_POST['cat_selection'],
+    'cat_selection' => @$_POST['cat_selection'],
     );
   unset($_POST['on_picture']);
Index: /extensions/PWG_Stuffs/modules/Random/config.tpl
===================================================================
--- /extensions/PWG_Stuffs/modules/Random/config.tpl	(revision 6414)
+++ /extensions/PWG_Stuffs/modules/Random/config.tpl	(revision 6415)
@@ -1,5 +1,5 @@
-{known_script id="jquery" src=$ROOT_URL|@cat:"template-common/lib/jquery.packed.js"}
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"template-common/lib/ui/ui.core.packed.js"}
-{known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"template-common/lib/ui/ui.resizable.packed.js"}
+{known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"}
+{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
+{known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.resizable.packed.js"}
 
 <table>
Index: /extensions/PWG_Stuffs/modules/Recent/config.inc.php
===================================================================
--- /extensions/PWG_Stuffs/modules/Recent/config.inc.php	(revision 6414)
+++ /extensions/PWG_Stuffs/modules/Recent/config.inc.php	(revision 6415)
@@ -17,5 +17,5 @@
     'nb_images' => intval($_POST['nb_images']),
     'cat_display' => $_POST['cat_display'],
-    'cat_selection' => $_POST['cat_selection'],
+    'cat_selection' => @$_POST['cat_selection'],
     );
   unset($_POST['on_picture']);
Index: /extensions/PWG_Stuffs/modules/Recent/config.tpl
===================================================================
--- /extensions/PWG_Stuffs/modules/Recent/config.tpl	(revision 6414)
+++ /extensions/PWG_Stuffs/modules/Recent/config.tpl	(revision 6415)
@@ -1,5 +1,5 @@
-{known_script id="jquery" src=$ROOT_URL|@cat:"template-common/lib/jquery.packed.js"}
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"template-common/lib/ui/ui.core.packed.js"}
-{known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"template-common/lib/ui/ui.resizable.packed.js"}
+{known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"}
+{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
+{known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.resizable.packed.js"}
 
 <table>