Index: trunk/language/es_ES/admin.lang.php
===================================================================
--- trunk/language/es_ES/admin.lang.php	(revision 6402)
+++ trunk/language/es_ES/admin.lang.php	(revision 6419)
@@ -237,5 +237,4 @@
 $lang['The name of a group must not contain " or \' or be empty.'] = 'El nombre del grupo no debe contener "or \' y no debe estar vacío.';
 $lang['This name is already used by another group.'] = 'Este nombre es ya utilizado por otro grupo.';
-$lang['Groups'] = 'Grupos';
 $lang[''] = '';
 $lang['High definition'] = 'Alta definición';
@@ -298,5 +297,4 @@
 $lang['Send'] = 'Envío';
 $lang['Options'] = 'Opciones';
-$lang['Send'] = 'Enviar';
 $lang['Subscribed'] = 'Inscritos';
 $lang['Subscribe'] = 'Inscripción';
@@ -323,5 +321,4 @@
 $lang['Permissions'] = 'Permisos';
 $lang['private'] = 'Privacidad';
-$lang['Properties'] = 'Propiedades';
 $lang['public'] = 'público';
 $lang['Purge never used notification feeds'] = 'Purgar los flujos de notificación jamás utilizados';
@@ -359,5 +356,4 @@
 $lang['sub-categories'] = 'subcategorías';
 $lang['synchronize metadata'] = 'Sincronizar los méta-datos';
-$lang['synchronize'] = 'sincronizar';
 $lang['target'] = 'blanco';
 $lang['Thumbnail'] = 'miniatura';
@@ -441,5 +437,4 @@
 $lang['user_status_normal'] = 'Visitante';
 $lang['user_status_webmaster'] = 'Webmestre';
-$lang['Users'] = 'Usuarios';
 $lang['Virtual category'] = 'Categoría virtual';
 $lang['Waiting'] = 'En espera';
@@ -457,5 +452,4 @@
 $lang['Pictures'] = 'Imágenes';
 $lang['Time'] = 'Hora';
-$lang['User'] = 'usuario';
 $lang['IP'] = 'IP';
 $lang['Element'] = 'Imágenes';
@@ -465,5 +459,4 @@
 $lang['Save page visits by users'] = 'Registrar las páginas visitadas por los usuarios';
 $lang['Save page visits by administrators'] = 'Registrar las páginas visitadas por los administradores';
-$lang['Properties'] = 'Propiedades';
 $lang['An information email was sent to group "%s"'] = 'Un mail de informacion ha sido enviado a los miembros del grupo "%s"';
 $lang['Send an information email to group members'] = 'Enviar un mail de informacion a los miembros de un grupo';
@@ -478,5 +471,4 @@
 $lang['other'] = 'Otro';
 $lang['Element type'] = "Tipo de elemento";
-$lang['User'] = 'Usuario';
 $lang['Image id'] = 'Identificando imagen';
 $lang['Summary'] = 'Resumen';
@@ -569,5 +561,4 @@
 $lang['Purge compiled templates'] = 'Purgar el templates compilado';
 $lang['Caddie is currently empty'] = 'La cesta actualmente está vacía';
-$lang['Upload'] = 'Descargar';
 $lang['Show upload link every time'] = 'Mostrar el lazo de añadido de imagen todo el tiempo';
 $lang['User access level to upload'] = 'Nivel de acceso usuario para cargar';
Index: trunk/language/es_ES/common.lang.php
===================================================================
--- trunk/language/es_ES/common.lang.php	(revision 6402)
+++ trunk/language/es_ES/common.lang.php	(revision 6419)
@@ -110,5 +110,5 @@
 $lang['Search rules'] = 'Criterios de búsqueda';
 $lang['Search tags'] = 'Buscar etiquetas';
-$lang['Search'] = 'Búsqueda avanzada';
+$lang['Search'] = 'Búsqueda';
 $lang['See available tags'] = 'Ver las etiquetas disponibles';
 $lang['Send new password'] = 'Enviar una nueva contraseña';
@@ -237,5 +237,4 @@
 $lang['Rate this picture'] = 'De una calificación a esta imagen';
 $lang['Next'] = 'Página siguiente';
-$lang['Home'] = 'Inicio';
 $lang['no rate'] = 'no valorada';
 $lang['Elements posted within the last %d day.'] = 'Sólo muestra las imágenes incorporadas desde el día %d .';
@@ -280,5 +279,4 @@
 $lang['Search results'] = 'Resultados de la búsqueda';
 $lang['Search in subcategories'] = 'Buscar en las subcategorías';
-$lang['Search'] = 'Búsqueda';
 $lang['searched words : %s'] = 'Palabras de búsqueda : %s';
 $lang['Contact'] = 'Contactar';
@@ -305,5 +303,4 @@
 $lang['Optional, but recommended : choose a thumbnail to associate to'] = 'Opcional, pero recomendado: escoger una miniatura para asociar ';
 $lang['the width of the picture must not exceed :'] = 'La anchura de la imagen no debe sobrepasar los: ';
-$lang['Author'] = 'Autor';
 $lang['can\'t upload the picture on the server'] = 'Imposible trasladar el fichero sobre el servidor';
 $lang['the username must be given'] = 'Indique el nombre de usuario';