Index: /extensions/PWG_Stuffs/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/PWG_Stuffs/language/it_IT/plugin.lang.php	(revision 6431)
+++ /extensions/PWG_Stuffs/language/it_IT/plugin.lang.php	(revision 6432)
@@ -1,12 +1,12 @@
 <?php
 
-$lang['stuffs_mods_management'] = 'Gestione dei moduli';
-$lang['stuffs_add_mod'] = 'Aggiungere un nuovo modulo';
-$lang['stuffs_edit_mod'] = 'Editare il modulo';
+$lang['stuffs_mods_management'] = 'Gestione moduli';
+$lang['stuffs_add_mod'] = 'Aggiungere un modulo';
+$lang['stuffs_edit_mod'] = 'Modificare un modulo';
 
 $lang['stuffs_module_title'] = 'Titolo del modulo';
-$lang['stuffs_desc'] = 'Descriztione';
+$lang['stuffs_desc'] = 'Descrizione';
 $lang['stuffs_only_for_admin'] = '(solo per il pannello d\'amministrazione)';
-$lang['stuffs_type'] = 'Tipo del modulo';
+$lang['stuffs_type'] = 'Tipo di modulo';
 $lang['stuffs_position'] = 'Posizione';
 $lang['stuffs_id_ligne'] = 'ID linea';
@@ -18,17 +18,17 @@
 $lang['stuffs_main_block'] = 'Blocco principale';
 
-$lang['stuffs_add_module'] = 'Aggiunta d\'un nuovo modulo';
+$lang['stuffs_add_module'] = 'Aggiungere nuovo modulo';
 $lang['stuffs_module_config'] = 'Configurazione del modulo';
-$lang['stuffs_visual_config'] = 'Configurazione della disposizione';
+$lang['stuffs_visual_config'] = 'Configurazione visualizzazione';
 $lang['stuffs_module_options'] = 'Ozioni del modulo';
 $lang['stuffs_authorized_group'] = 'Gruppi autorizzati';
 $lang['stuffs_authorized_users'] = 'Utenti autorizzati';
 $lang['stuffs_public_module'] = '(Lasciare vuoto per un modulo pubblico)';
-$lang['stuffs_show_title'] = 'Mostrare il titolo del modulo';
+$lang['stuffs_show_title'] = 'Mostrare titolo del modulo';
 $lang['stuffs_show_module_on'] = 'Visualizzare il modulo :';
 $lang['stuffs_show_on_home'] = 'Sulla home page del sito';
 $lang['stuffs_show_on_cats'] = 'Su tutte le pagine delle categorie';
 $lang['stuffs_show_on_pictures'] = 'Sulle pagine delle immagini';
-$lang['stuffs_no_options'] = 'Nessun opzione disponibile per questo modulo';
+$lang['stuffs_no_options'] = 'Nessuna opzione per questo modulo';
 
 //Messages d'infos
@@ -38,5 +38,5 @@
 // Messages d'erreurs
 $lang['stuffs_error_no_mod_selected'] = 'Non avete selezionato un modulo da aggiungere.';
-$lang['stuffs_no_name'] = 'Dovete indicare al meno un nome per il modulo';
+$lang['stuffs_no_name'] = 'E\' necessario specificare il nome del modulo';
 
 //------------------------------------------------------------------------------
@@ -45,10 +45,10 @@
 
 $lang['module_name_lastcoms'] = 'Ultimi commenti';
-$lang['module_desc_lastcoms'] = 'Visualizzare gli ultimi commenti aggiunti';
+$lang['module_desc_lastcoms'] = 'Visualizzare gli ultimi commenti inseriti';
 
 $lang['lastcoms_no_nb_comments'] = 'Dovete inserire un valore nel campo "Numero di commenti da visualizzare".';
 $lang['lastcoms_config'] = 'Configurazione';
 $lang['lastcoms_nb_comments'] = 'Numero di commenti da visualizzare';
-$lang['lastcoms_show_buttons'] = 'Vizualizzare i pulzanti d\'amministrazione';
+$lang['lastcoms_show_buttons'] = 'Visualizzare i pulsanti d\'amministrazione';
 $lang['lastcoms_dim'] = 'Dimensioni delle miniature';
 $lang['lastcoms_width'] = 'larghezza massima';
@@ -104,5 +104,5 @@
 $lang['piclenswall_info'] = 'Importante per il buon funzionamento di 3DWall';
 $lang['piclenswall_info_piclens'] = 'Dovete installare ed attivare il plugin <a href="http://piwigo.org/ext/extension_view.php?eid=234">Cooliris/piclens</a>.';
-$lang['piclenswall_info_crossdomain'] = 'Dovete copiare il file <a href="%s">crossdomain.xml</a> alla radice del vostro sito (o modificate il file esistente).';
+$lang['piclenswall_info_crossdomain'] = 'Dovete copiare il file <a href="%s">crossdomain.xml</a> nella directory principale del sito (o modificate il file esistente).';
 $lang['piclenswall_info_param'] = 'I parametri di 3DWall devono essere modificati direttamente nella pagina di configurazione del plugin <b>Cooliris-piclens/b>.';
 
@@ -111,5 +111,5 @@
 //------------------------------------------------------------------------------
 
-$lang['module_name_mostvisited'] = 'Le più visti';
+$lang['module_name_mostvisited'] = 'I più visti';
 $lang['module_desc_mostvisited'] = 'Visualizza le x immagini le più viste della galleria o della categoria';
 
@@ -122,5 +122,5 @@
 
 $lang['stuffs_mv_cat_selection'] = 'Selezione delle categorie';
-$lang['stuffs_mv_hold_ctrl'] = 'tenere CTRL prenuto';
+$lang['stuffs_mv_hold_ctrl'] = 'tenere premuto CTRL';
 
 //------------------------------------------------------------------------------
@@ -136,5 +136,5 @@
 
 $lang['module_name_recent'] = 'Immagini recenti';
-$lang['module_desc_recent'] = 'Visualizza le  x immagini le più recenti della galleria o della categoria (se esistono)';
+$lang['module_desc_recent'] = 'Visualizza le x immagini le più recenti della galleria o della categoria (se esistono)';
 
 //------------------------------------------------------------------------------
@@ -142,5 +142,5 @@
 //------------------------------------------------------------------------------
 
-$lang['module_name_random'] = 'Immagini a  caso';
+$lang['module_name_random'] = 'Immagini a caso';
 $lang['module_desc_random'] = 'Visualizza x immagini a caso della galleria o della categoria';
 
@@ -159,5 +159,5 @@
 
 $lang['module_name_featuredphotos'] = 'Immagine del giorno';
-$lang['module_desc_featuredphotos'] = 'Visualizza le immagini preferite del webmaster';
+$lang['module_desc_featuredphotos'] = 'Visualizza le immagini preferite dal webmaster';
 
 ?>