Index: /extensions/pwgCumulus/CHANGELOG
===================================================================
--- /extensions/pwgCumulus/CHANGELOG	(revision 6432)
+++ /extensions/pwgCumulus/CHANGELOG	(revision 6433)
@@ -1,2 +1,7 @@
+pwgCumulus 0.4.5 - 2010-05-31
+================================
+* restore home link on tags page
+* update Free Software Foundation address
+
 pwgCumulus 0.4.4 - 2010-05-27
 ================================
Index: /extensions/pwgCumulus/MANIFEST
===================================================================
--- /extensions/pwgCumulus/MANIFEST	(revision 6432)
+++ /extensions/pwgCumulus/MANIFEST	(revision 6433)
@@ -22,4 +22,5 @@
 pwgCumulus/language/hu_HU/plugin.lang.php
 pwgCumulus/CHANGELOG
+pwgCumulus/modele
 pwgCumulus/include/pwgCumulusContent.class.php
 pwgCumulus/include/pwgCumulusConfig.class.php
Index: /extensions/pwgCumulus/admin.php
===================================================================
--- /extensions/pwgCumulus/admin.php	(revision 6432)
+++ /extensions/pwgCumulus/admin.php	(revision 6433)
@@ -6,6 +6,6 @@
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/pwgCumulus/default_values.inc.php
===================================================================
--- /extensions/pwgCumulus/default_values.inc.php	(revision 6432)
+++ /extensions/pwgCumulus/default_values.inc.php	(revision 6433)
@@ -6,6 +6,6 @@
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/pwgCumulus/include/pwgCumulusConfig.class.php
===================================================================
--- /extensions/pwgCumulus/include/pwgCumulusConfig.class.php	(revision 6432)
+++ /extensions/pwgCumulus/include/pwgCumulusConfig.class.php	(revision 6433)
@@ -6,6 +6,6 @@
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/pwgCumulus/include/pwgCumulusContent.class.php
===================================================================
--- /extensions/pwgCumulus/include/pwgCumulusContent.class.php	(revision 6432)
+++ /extensions/pwgCumulus/include/pwgCumulusContent.class.php	(revision 6433)
@@ -6,6 +6,6 @@
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
@@ -24,5 +24,4 @@
   public function __construct($config) {
     $this->plugin_config = $config;
-
   }
 
Index: /extensions/pwgCumulus/init.php
===================================================================
--- /extensions/pwgCumulus/init.php	(revision 6432)
+++ /extensions/pwgCumulus/init.php	(revision 6433)
@@ -6,6 +6,6 @@
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/pwgCumulus/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/de_DE/plugin.lang.php	(revision 6432)
+++ /extensions/pwgCumulus/language/de_DE/plugin.lang.php	(revision 6433)
@@ -3,9 +3,9 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009      Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/pwgCumulus/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/en_UK/plugin.lang.php	(revision 6432)
+++ /extensions/pwgCumulus/language/en_UK/plugin.lang.php	(revision 6433)
@@ -3,9 +3,9 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2010      Nicolas Roudaire   http://www.nikrou.net  |
+// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/pwgCumulus/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/es_ES/plugin.lang.php	(revision 6432)
+++ /extensions/pwgCumulus/language/es_ES/plugin.lang.php	(revision 6433)
@@ -3,9 +3,9 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2010      Nicolas Roudaire   http://www.nikrou.net  |
+// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/pwgCumulus/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/fr_FR/plugin.lang.php	(revision 6432)
+++ /extensions/pwgCumulus/language/fr_FR/plugin.lang.php	(revision 6433)
@@ -3,9 +3,9 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2010      Nicolas Roudaire   http://www.nikrou.net  |
+// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/pwgCumulus/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/hu_HU/plugin.lang.php	(revision 6432)
+++ /extensions/pwgCumulus/language/hu_HU/plugin.lang.php	(revision 6433)
@@ -3,9 +3,9 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2010      Nicolas Roudaire   http://www.nikrou.net  |
+// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/pwgCumulus/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/it_IT/plugin.lang.php	(revision 6432)
+++ /extensions/pwgCumulus/language/it_IT/plugin.lang.php	(revision 6433)
@@ -3,9 +3,9 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2010      Nicolas Roudaire   http://www.nikrou.net  |
+// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/pwgCumulus/main.inc.php
===================================================================
--- /extensions/pwgCumulus/main.inc.php	(revision 6432)
+++ /extensions/pwgCumulus/main.inc.php	(revision 6433)
@@ -6,6 +6,6 @@
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -16,11 +16,11 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
 /*
 Plugin Name: pwgCumulus
-Version: 0.4.4
+Version: 0.4.5
 Description: add an amazing tag cloud
 Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=263
Index: /extensions/pwgCumulus/maintain.inc.php
===================================================================
--- /extensions/pwgCumulus/maintain.inc.php	(revision 6432)
+++ /extensions/pwgCumulus/maintain.inc.php	(revision 6433)
@@ -6,6 +6,6 @@
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/pwgCumulus/public.php
===================================================================
--- /extensions/pwgCumulus/public.php	(revision 6432)
+++ /extensions/pwgCumulus/public.php	(revision 6433)
@@ -6,6 +6,6 @@
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -16,6 +16,6 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/pwgCumulus/template/tags.tpl
===================================================================
--- /extensions/pwgCumulus/template/tags.tpl	(revision 6432)
+++ /extensions/pwgCumulus/template/tags.tpl	(revision 6433)
@@ -15,4 +15,5 @@
       <li><a href="{$U_CLOUD}" title="{'cloud'|@translate}" rel="nofollow"><img src="{$themeconf.icon_dir}/tag_cloud.png" class="button" alt="{'cloud'|@translate}"></a></li>
       {/if}
+      <li><a href="{$U_HOME}" title="{'Home'|@translate}"><img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"></a></li>
     </ul>
     <h2>{'Tags'|@translate}</h2>